"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'kickasstorrent',
    name: 'KickAssTorrent',
    language: 'en-US',
    encoding: 'UTF-8',
    links: ['https://kat.how'],
    caps: {
        categorymappings: [
            { id: 'movies', cat: 'Movies' },
            { id: 'tv', cat: 'TV' },
            { id: 'music', cat: 'Audio' },
            { id: 'books', cat: 'Books' },
            { id: 'Games', cat: 'Console' },
            { id: 'applications', cat: 'PC' },
            { id: 'xxx', cat: 'XXX' },
            { id: 'other', cat: 'Other' },
        ],
    },
    search: {
        inputs: { q: '{{ .Query.Keywords }}' },
        rows: { selector: 'table[class="data"] tr[id]' },
        fields: {
            category: {
                selector: 'span[id^="cat_"] > strong > a',
                attribute: 'href',
                filters: [{ name: 'trim', args: '/' }],
            },
            title: {
                selector: 'td:nth-child(1) > div > div > a[class="cellMainLink"]',
            },
            details: {
                selector: 'td:nth-child(1) > div > div > a[class="cellMainLink"]',
                attribute: 'href',
            },
            download: {
                selector: 'td:nth-child(1) > div > a[data-download=""]',
                attribute: 'href',
            },
            size: { selector: 'td:nth-child(2)' },
            date: { selector: 'td:nth-child(3)' },
            seeders: { selector: 'td:nth-child(4)' },
            leechers: { selector: 'td:nth-child(5)' },
            description: { selector: 'td:nth-child(1) > div > div > span' },
            downloadvolumefactor: { text: '0' },
            uploadvolumefactor: { text: '1' },
        },
        paths: [{ path: 'search.php' }],
    },
    source: 'cardigann',
};
