"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'myanonamouse',
    name: 'MyAnonamouse',
    description: 'Friendliness, Warmth and Sharing',
    language: 'en-US',
    links: ['https://www.myanonamouse.net/'],
    caps: {
        categorymappings: [
            { id: '26', cat: 'Books/Ebook' },
            { id: '27', cat: 'Audio' },
            { id: '39', cat: 'Audio/Audiobook' },
            { id: '40', cat: 'Audio/Audiobook' },
            { id: '41', cat: 'Audio/Audiobook' },
            { id: '42', cat: 'Audio/Audiobook' },
            { id: '43', cat: 'Audio/Audiobook' },
            { id: '44', cat: 'Audio/Audiobook' },
            { id: '45', cat: 'Audio/Audiobook' },
            { id: '46', cat: 'Audio/Audiobook' },
            { id: '47', cat: 'Audio/Audiobook' },
            { id: '48', cat: 'Audio/Audiobook' },
            { id: '49', cat: 'Audio/Audiobook' },
            { id: '50', cat: 'Audio/Audiobook' },
            { id: '51', cat: 'Audio/Audiobook' },
            { id: '52', cat: 'Audio/Audiobook' },
            { id: '53', cat: 'Audio/Audiobook' },
            { id: '54', cat: 'Audio/Audiobook' },
            { id: '55', cat: 'Audio/Audiobook' },
            { id: '56', cat: 'Audio/Audiobook' },
            { id: '57', cat: 'Audio/Audiobook' },
            { id: '58', cat: 'Audio/Audiobook' },
            { id: '59', cat: 'Audio/Audiobook' },
            { id: '60', cat: 'Books/Ebook' },
            { id: '61', cat: 'Books/Comics' },
            { id: '62', cat: 'Books/Ebook' },
            { id: '63', cat: 'Books/Ebook' },
            { id: '64', cat: 'Books/Ebook' },
            { id: '65', cat: 'Books/Ebook' },
            { id: '66', cat: 'Books/Ebook' },
            { id: '67', cat: 'Books/Ebook' },
            { id: '68', cat: 'Books/Ebook' },
            { id: '69', cat: 'Books/Ebook' },
            { id: '70', cat: 'Books/Ebook' },
            { id: '71', cat: 'Books/Ebook' },
            { id: '72', cat: 'Books/Ebook' },
            { id: '73', cat: 'Books/Ebook' },
            { id: '74', cat: 'Books/Ebook' },
            { id: '75', cat: 'Books/Ebook' },
            { id: '76', cat: 'Books/Ebook' },
            { id: '77', cat: 'Books/Ebook' },
            { id: '78', cat: 'Books/Ebook' },
            { id: '79', cat: 'Books/Magazines' },
            { id: '80', cat: 'Books/Technical' },
            { id: '81', cat: 'Books/Ebook' },
            { id: '82', cat: 'Books/Ebook' },
            { id: '83', cat: 'Audio/Audiobook' },
            { id: '84', cat: 'Audio/Audiobook' },
            { id: '85', cat: 'Audio/Audiobook' },
            { id: '87', cat: 'Audio/Audiobook' },
            { id: '88', cat: 'Audio/Audiobook' },
            { id: '89', cat: 'Audio/Audiobook' },
            { id: '90', cat: 'Books/Ebook' },
            { id: '91', cat: 'Books/Technical' },
            { id: '92', cat: 'Books/Ebook' },
            { id: '94', cat: 'Books/Ebook' },
            { id: '95', cat: 'Books/Ebook' },
            { id: '96', cat: 'Books/Ebook' },
            { id: '97', cat: 'Audio/Audiobook' },
            { id: '98', cat: 'Audio/Audiobook' },
            { id: '99', cat: 'Audio/Audiobook' },
            { id: '100', cat: 'Audio/Audiobook' },
            { id: '101', cat: 'Books/Ebook' },
            { id: '102', cat: 'Books/Ebook' },
            { id: '103', cat: 'Books/Ebook' },
            { id: '104', cat: 'Books/Ebook' },
            { id: '106', cat: 'Audio/Audiobook' },
            { id: '107', cat: 'Books/Ebook' },
            { id: '108', cat: 'Audio/Audiobook' },
            { id: '109', cat: 'Books/Ebook' },
            { id: '111', cat: 'Audio/Audiobook' },
            { id: '112', cat: 'Books/Ebook' },
            { id: '115', cat: 'Books/Ebook' },
            { id: '118', cat: 'Books/Ebook' },
            { id: '119', cat: 'Audio/Audiobook' },
            { id: '120', cat: 'Books/Ebook' },
            { id: '128', cat: 'Books/Ebook' },
            { id: '129', cat: 'Books/Ebook' },
            { id: '137', cat: 'Audio/Audiobook' },
            { id: '138', cat: 'Books/Ebook' },
        ],
    },
    login: {
        path: '/takelogin.php',
        method: 'post',
        inputs: {
            email: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
            returnto: '/userdetails.php',
        },
        error: [{ selector: 'h2:contains("Login Failed")' }],
        test: {
            path: '/userdetails.php',
            selector: 'a.myInfo:contains("My Info")',
        },
    },
    ratio: { path: '/userdetails.php', selector: 'span.RatioTD' },
    search: {
        method: 'post',
        inputs: {
            $raw: 'tor[text]={{ .Query.Keywords }}&tor[srchIn][title]=true&tor[srchIn][author]=true&tor[searchType]=all&tor[searchIn]=torrents&tor[cat][]=0&tor[browseFlagsHideVsShow]=0&tor[startDate]=&tor[endDate]=&tor[hash]=&tor[sortType]=default&tor[startNumber]=0',
        },
        rows: {
            selector: 'table.newTorTable > tbody > tr:nth-child(n+2):has(a.directDownload)',
        },
        fields: {
            category: {
                selector: 'td:nth-child(1) > a > div',
                attribute: 'class',
                filters: [{ name: 'regexp', args: 'cat(\\d*)$' }],
            },
            title: { selector: 'td:nth-child(3) > a.title' },
            description: {
                selector: 'td:nth-child(3) span.torRowDesc, a.author',
            },
            details: {
                selector: 'td:nth-child(3) > span.torFileTypes a, span.torRowDesc, a.author',
            },
            comments: { selector: 'td:nth-child(3) > a', attribute: 'href' },
            download: { selector: 'td:nth-child(4) > a', attribute: 'href' },
            size: {
                selector: 'td:nth-child(5)',
                filters: [{ name: 'regexp', args: '\\[(.*)\\]' }],
            },
            date: { selector: 'td:nth-child(6)' },
            seeders: { selector: 'td:nth-child(7) > p:nth-child(1)' },
            leechers: { selector: 'td:nth-child(7) > p:nth-child(2)' },
            grabs: { selector: 'td:nth-child(7) > p:nth-child(3)' },
            files: { selector: 'td:nth-child(5) > a' },
            downloadvolumefactor: {
                case: { 'img[alt="freeleech"]': '0', '*': '1' },
            },
            uploadvolumefactor: { text: '1' },
        },
        paths: [{ path: '/tor/js/loadSearch2.php' }],
    },
    encoding: 'UTF-8',
    source: 'cardigann',
};
