"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'audiobookbay',
    name: 'AudioBookBay',
    description: 'AudioBook Bay (ABB) is a public Torrent Tracker for AUDIOBOOKS',
    language: 'en-US',
    type: 'public',
    encoding: 'UTF-8',
    links: ['http://audiobookbay.nl/'],
    legacylinks: ['https://audiobookbay.la/'],
    caps: {
        categorymappings: [
            {
                id: '(Post)apocalyptic',
                cat: 'Audio/Audiobook',
                desc: '(Post)apocalyptic',
            },
            { id: 'True', cat: 'Audio/Audiobook', desc: 'True Crime' },
            { id: 'Action', cat: 'Audio/Audiobook', desc: 'Action' },
            { id: 'Adults', cat: 'Audio/Audiobook', desc: 'Adults' },
            { id: 'Adventure', cat: 'Audio/Audiobook', desc: 'Adventure' },
            { id: 'Anthology', cat: 'Audio/Audiobook', desc: 'Anthology' },
            { id: 'Art', cat: 'Audio/Audiobook', desc: 'Art' },
            {
                id: 'Autobiography',
                cat: 'Audio/Audiobook',
                desc: 'Autobiography & Biographies',
            },
            { id: 'Bestsellers', cat: 'Audio/Audiobook', desc: 'Bestsellers' },
            { id: 'Business', cat: 'Audio/Audiobook', desc: 'Business' },
            { id: 'Children', cat: 'Audio/Audiobook', desc: 'Children' },
            { id: 'Classic', cat: 'Audio/Audiobook', desc: 'Classic' },
            { id: 'Computer', cat: 'Audio/Audiobook', desc: 'Computer' },
            {
                id: 'Contemporary',
                cat: 'Audio/Audiobook',
                desc: 'Contemporary',
            },
            { id: 'Crime', cat: 'Audio/Audiobook', desc: 'Crime' },
            { id: 'Detective', cat: 'Audio/Audiobook', desc: 'Detective' },
            { id: 'Doctor', cat: 'Audio/Audiobook', desc: 'Doctor Who' },
            { id: 'Documentary', cat: 'Audio/Audiobook', desc: 'Documentary' },
            { id: 'Education', cat: 'Audio/Audiobook', desc: 'Education' },
            { id: 'Fantasy', cat: 'Audio/Audiobook', desc: 'Fantasy' },
            { id: 'Full', cat: 'Audio/Audiobook', desc: 'Full Cast' },
            { id: 'Gay', cat: 'Audio/Audiobook', desc: 'Gay' },
            { id: 'General', cat: 'Audio/Audiobook', desc: 'General Fiction' },
            {
                id: 'Historical',
                cat: 'Audio/Audiobook',
                desc: 'Historical Fiction',
            },
            { id: 'History', cat: 'Audio/Audiobook', desc: 'History' },
            { id: 'Horror', cat: 'Audio/Audiobook', desc: 'Horror' },
            { id: 'Humor', cat: 'Audio/Audiobook', desc: 'Humor' },
            { id: 'LGBT', cat: 'Audio/Audiobook', desc: 'LGBT' },
            { id: 'Lecture', cat: 'Audio/Audiobook', desc: 'Lecture' },
            { id: 'Lesbian', cat: 'Audio/Audiobook', desc: 'Lesbian' },
            { id: 'Libertarian', cat: 'Audio/Audiobook', desc: 'Libertarian' },
            { id: 'LitRPG', cat: 'Audio/Audiobook', desc: 'LitRPG' },
            { id: 'Literature', cat: 'Audio/Audiobook', desc: 'Literature' },
            { id: 'Military', cat: 'Audio/Audiobook', desc: 'Military' },
            { id: 'Misc.', cat: 'Audio/Audiobook', desc: 'Misc. Non-fiction' },
            { id: 'Mystery', cat: 'Audio/Audiobook', desc: 'Mystery' },
            { id: 'Novel', cat: 'Audio/Audiobook', desc: 'Novel' },
            { id: 'Other', cat: 'Audio/Audiobook', desc: 'Other' },
            { id: 'Paranormal', cat: 'Audio/Audiobook', desc: 'Paranormal' },
            { id: 'Plays', cat: 'Audio/Audiobook', desc: 'Plays & Theater' },
            { id: 'Poetry', cat: 'Audio/Audiobook', desc: 'Poetry' },
            { id: 'Political', cat: 'Audio/Audiobook', desc: 'Political' },
            { id: 'Radio', cat: 'Audio/Audiobook', desc: 'Radio Productions' },
            { id: 'Romance', cat: 'Audio/Audiobook', desc: 'Romance' },
            { id: 'Sci-Fi', cat: 'Audio/Audiobook', desc: 'Sci-Fi' },
            { id: 'Science', cat: 'Audio/Audiobook', desc: 'Science' },
            { id: 'Self-help', cat: 'Audio/Audiobook', desc: 'Self-help' },
            { id: 'Sex', cat: 'Audio/Audiobook', desc: 'Sex Scenes' },
            { id: 'Short', cat: 'Audio/Audiobook', desc: 'Short Story' },
            {
                id: 'Spiritual',
                cat: 'Audio/Audiobook',
                desc: 'Spiritual & Religious',
            },
            { id: 'Sports', cat: 'Audio/Audiobook', desc: 'Sports' },
            { id: 'Suspense', cat: 'Audio/Audiobook', desc: 'Suspense' },
            { id: 'Teen', cat: 'Audio/Audiobook', desc: 'Teen & Young Adult' },
            { id: 'The', cat: 'Audio/Audiobook', desc: 'The Undead' },
            { id: 'Thriller', cat: 'Audio/Audiobook', desc: 'Thriller' },
            { id: 'Tutorial', cat: 'Audio/Audiobook', desc: 'Tutorial' },
            { id: 'Violence', cat: 'Audio/Audiobook', desc: 'Violence' },
            { id: 'Westerns', cat: 'Audio/Audiobook', desc: 'Westerns' },
        ],
        modes: { search: ['q'] },
    },
    settings: [],
    download: {
        selector: 'td:contains("Info Hash:") ~ td',
        filters: [
            { name: 'prepend', args: 'magnet:?xt=urn:btih:' },
            {
                name: 'append',
                args: '&tr=udp%3A%2F%2Ftracker.coppersurfer.tk%3A6969%2Fannounce&tr=udp%3A%2F%2Ftracker.leechers-paradise.org%3A6969%2Fannounce&tr=udp%3A%2F%2Fopen.stealth.si%3A80%2Fannounce&tr=udp%3A%2F%2Fexodus.desync.com%3A6969&tr=udp%3A%2F%2Fp4p.arenabg.com%3A1337%2Fannounce&tr=udp%3A%2F%2Fexplodie.org%3A6969%2Fannounce&tr=udp%3A%2F%2Ftracker.opentrackr.org%3A1337%2Fannounce&tr=udp%3A%2F%2Ftracker.tiny-vps.com%3A6969%2Fannounce&tr=udp%3A%2F%2Fopen.demonii.si%3A1337%2Fannounce&tr=udp%3A%2F%2Ftracker.torrent.eu.org%3A451%2Fannounce&tr=udp%3A%2F%2Ftracker.pirateparty.gr%3A6969%2Fannounce&tr=udp%3A%2F%2Fipv4.tracker.harry.lu%3A80%2Fannounce&tr=udp%3A%2F%2Ftracker.cyberia.is%3A6969%2Fannounce&tr=udp%3A%2F%2F9.rarbg.to%3A2710%2Fannounce&tr=udp%3A%2F%2Fdenis.stalker.upeer.me%3A6969%2Fannounce',
            },
        ],
    },
    search: {
        paths: [
            { path: '{{ if .Keywords }}/?s={{ .Keywords }}{{else}}/{{end}}' },
            { path: '{{ if .Keywords }}/page/2/?s={{ .Keywords }}{{else}}{{end}}' },
            { path: '{{ if .Keywords }}/page/3/?s={{ .Keywords }}{{else}}{{end}}' },
            { path: '{{ if .Keywords }}/page/4/?s={{ .Keywords }}{{else}}{{end}}' },
            { path: '{{ if .Keywords }}/page/5/?s={{ .Keywords }}{{else}}{{end}}' },
        ],
        rows: { selector: 'div.post:has(div[class="postTitle"])' },
        fields: {
            title: { selector: 'div.postTitle' },
            details: { selector: 'div.postTitle h2 a', attribute: 'href' },
            download: { selector: 'div.postTitle h2 a', attribute: 'href' },
            banner: { optional: true, selector: 'img', attribute: 'src' },
            category: {
                selector: 'div.postInfo',
                filters: [{ name: 'regexp', args: 'Category: (.+?)\\s' }],
            },
            date: {
                selector: 'div.postContent p:contains("Posted:")',
                filters: [
                    { name: 'regexp', args: 'Posted: (.+?)Format:' },
                    { name: 'dateparse', args: '2 Jan 2006' },
                ],
            },
            size: {
                selector: 'div.postContent p:contains("File Size:")',
                filters: [
                    { name: 'regexp', args: 'File Size: (.+?)$' },
                    { name: 'replace', args: ['MBs', 'MB'] },
                    { name: 'replace', args: ['GBs', 'GB'] },
                    { name: 'replace', args: ['KBs', 'KB'] },
                ],
            },
            seeders: { text: 1 },
            leechers: { text: 1 },
            downloadvolumefactor: { text: 0 },
            uploadvolumefactor: { text: 1 },
        },
    },
    source: 'jackett',
};
