"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'audionews',
    name: 'AudioNews',
    description: 'AudioNews (AN) is a Private Torrent Tracker for AUDIO SOFTWARE / SAMPLES / ETC',
    language: 'en-US',
    type: 'private',
    encoding: 'UTF-8',
    links: ['https://audionews.org/'],
    caps: {
        categorymappings: [
            { id: '106', cat: 'PC/Phone-Other', desc: 'Mobile Apps' },
            { id: '161', cat: 'PC/Phone-IOS', desc: 'Mobile Apps iOS' },
            { id: '160', cat: 'PC/Phone-Android', desc: 'Mobile Apps Android' },
            { id: '12', cat: 'PC', desc: 'AUDIOAPPS' },
            { id: '32', cat: 'PC', desc: 'AUDIOAPPS DAW Apps' },
            { id: '175', cat: 'PC', desc: 'AUDIOAPPS Ableton' },
            { id: '177', cat: 'PC', desc: 'AUDIOAPPS Cakewalk' },
            { id: '176', cat: 'PC', desc: 'AUDIOAPPS REAPER' },
            { id: '174', cat: 'PC', desc: 'AUDIOAPPS Steinberg' },
            {
                id: '34',
                cat: 'PC',
                desc: 'AUDIOAPPS Mastering &Audio Editor Apps',
            },
            { id: '37', cat: 'PC', desc: 'AUDIOAPPS DJ Apps' },
            { id: '13', cat: 'Audio', desc: 'SAMPLE LIBRARIES' },
            { id: '62', cat: 'Audio', desc: 'SAMPLE LIBRARIES AMG' },
            { id: '117', cat: 'Audio', desc: 'SAMPLE LIBRARIES Bela D Media' },
            {
                id: '118',
                cat: 'Audio',
                desc: 'SAMPLE LIBRARIES Beta Monkey Music',
            },
            { id: '51', cat: 'Audio', desc: 'SAMPLE LIBRARIES Best Service' },
            { id: '46', cat: 'Audio', desc: 'SAMPLE LIBRARIES Big Fish' },
            { id: '66', cat: 'Audio', desc: 'SAMPLE LIBRARIES Bigga Giggas' },
            {
                id: '122',
                cat: 'Audio',
                desc: 'SAMPLE LIBRARIES Bluezone Corporation',
            },
            { id: '123', cat: 'Audio', desc: 'SAMPLE LIBRARIES Bunker 8' },
            {
                id: '126',
                cat: 'Audio',
                desc: 'SAMPLE LIBRARIES Cinematique Instruments',
            },
            { id: '127', cat: 'Audio', desc: 'SAMPLE LIBRARIES CineSamples' },
            { id: '128', cat: 'Audio', desc: 'SAMPLE LIBRARIES ClusterSound' },
            { id: '121', cat: 'Audio', desc: 'SAMPLE LIBRARIES Dan Dean' },
            { id: '195', cat: 'Audio', desc: 'SAMPLE LIBRARIES Diginoiz' },
            { id: '52', cat: 'Audio', desc: 'SAMPLE LIBRARIES Digital Juice' },
            { id: '134', cat: 'Audio', desc: 'SAMPLE LIBRARIES Digital-Redux' },
            { id: '65', cat: 'Audio', desc: 'SAMPLE LIBRARIES Digital Vision' },
            { id: '59', cat: 'Audio', desc: 'SAMPLE LIBRARIES Discovery Firm' },
            { id: '61', cat: 'Audio', desc: 'SAMPLE LIBRARIES Drumdrops' },
            { id: '40', cat: 'Audio', desc: 'SAMPLE LIBRARIES East West' },
            {
                id: '74',
                cat: 'Audio',
                desc: 'SAMPLE LIBRARIES Electronisounds',
            },
            { id: '80', cat: 'Audio', desc: 'SAMPLE LIBRARIES EMU format' },
            { id: '82', cat: 'Audio', desc: 'SAMPLE LIBRARIES ENSONIQ format' },
            { id: '111', cat: 'Audio', desc: 'SAMPLE LIBRARIES Fatloud' },
            { id: '135', cat: 'Audio', desc: 'SAMPLE LIBRARIES Fox Samples' },
            { id: '41', cat: 'Audio', desc: 'SAMPLE LIBRARIES FxPansion' },
            { id: '130', cat: 'Audio', desc: 'SAMPLE LIBRARIES Goldbaby' },
            { id: '54', cat: 'Audio', desc: 'SAMPLE LIBRARIES Hollywood Edge' },
            { id: '64', cat: 'Audio', desc: 'SAMPLE LIBRARIES IK Multimedia' },
            { id: '75', cat: 'Audio', desc: 'SAMPLE LIBRARIES Ilio' },
            {
                id: '108',
                cat: 'Audio',
                desc: 'SAMPLE LIBRARIES Industrial Strength Records',
            },
            {
                id: '81',
                cat: 'Audio',
                desc: 'SAMPLE LIBRARIES KURZWEIL format',
            },
            { id: '91', cat: 'Audio', desc: 'SAMPLE LIBRARIES Loopmasters' },
            { id: '92', cat: 'Audio', desc: 'SAMPLE LIBRARIES Masterbits' },
            { id: '58', cat: 'Audio', desc: 'SAMPLE LIBRARIES M-Audio' },
            { id: '112', cat: 'Audio', desc: 'SAMPLE LIBRARIES Mutekki' },
            { id: '137', cat: 'Audio', desc: 'SAMPLE LIBRARIES Mystic Kingz' },
            {
                id: '47',
                cat: 'Audio',
                desc: 'SAMPLE LIBRARIES Native Instruments',
            },
            {
                id: '60',
                cat: 'Audio',
                desc: 'SAMPLE LIBRARIES Nine Volt Audio',
            },
            { id: '129', cat: 'Audio', desc: 'SAMPLE LIBRARIES OrangeTree' },
            { id: '203', cat: 'Audio', desc: 'SAMPLE LIBRARIES Origin Sound' },
            { id: '154', cat: 'Audio', desc: 'SAMPLE LIBRARIES P5Audio' },
            {
                id: '133',
                cat: 'Audio',
                desc: 'SAMPLE LIBRARIES Peace Love Productions',
            },
            { id: '140', cat: 'Audio', desc: 'SAMPLE LIBRARIES Pound Audio' },
            { id: '110', cat: 'Audio', desc: 'SAMPLE LIBRARIES Prime Loops' },
            {
                id: '180',
                cat: 'Audio',
                desc: 'SAMPLE LIBRARIES Producer Loops',
            },
            { id: '50', cat: 'Audio', desc: 'SAMPLE LIBRARIES Prominy' },
            {
                id: '171',
                cat: 'Audio',
                desc: 'SAMPLE LIBRARIES Pulsed Records',
            },
            { id: '132', cat: 'Audio', desc: 'SAMPLE LIBRARIES Puremagnetik' },
            { id: '49', cat: 'Audio', desc: 'SAMPLE LIBRARIES Refills' },
            { id: '99', cat: 'Audio', desc: 'SAMPLE LIBRARIES reFX Nexus' },
            { id: '125', cat: 'Audio', desc: 'SAMPLE LIBRARIES Realsamples' },
            { id: '83', cat: 'Audio', desc: 'SAMPLE LIBRARIES ROLAND format' },
            { id: '109', cat: 'Audio', desc: 'SAMPLE LIBRARIES Sample Magic' },
            { id: '136', cat: 'Audio', desc: 'SAMPLE LIBRARIES Samplephonics' },
            { id: '43', cat: 'Audio', desc: 'SAMPLE LIBRARIES Sampletekk' },
            { id: '48', cat: 'Audio', desc: 'SAMPLE LIBRARIES Scarbee' },
            {
                id: '178',
                cat: 'Audio',
                desc: 'SAMPLE LIBRARIES SFX (Sound FX libraries)',
            },
            { id: '90', cat: 'Audio', desc: 'SAMPLE LIBRARIES Smartsound' },
            { id: '172', cat: 'Audio', desc: 'SAMPLE LIBRARIES Sonart Audio' },
            { id: '116', cat: 'Audio', desc: 'SAMPLE LIBRARIES SonicCouture' },
            { id: '42', cat: 'Audio', desc: 'SAMPLE LIBRARIES Sonic Implants' },
            { id: '115', cat: 'Audio', desc: 'SAMPLE LIBRARIES Sonic Reality' },
            { id: '53', cat: 'Audio', desc: 'SAMPLE LIBRARIES Sound Ideas' },
            { id: '56', cat: 'Audio', desc: 'SAMPLE LIBRARIES Sony' },
            {
                id: '139',
                cat: 'Audio',
                desc: 'SAMPLE LIBRARIES Sounds To Sample',
            },
            { id: '76', cat: 'Audio', desc: 'SAMPLE LIBRARIES Spectrasonics' },
            {
                id: '162',
                cat: 'Audio',
                desc: 'SAMPLE LIBRARIES Spitfire Audio',
            },
            { id: '193', cat: 'Audio', desc: 'SAMPLE LIBRARIES studiolinked' },
            { id: '68', cat: 'Audio', desc: 'SAMPLE LIBRARIES Synthogy' },
            { id: '179', cat: 'Audio', desc: 'SAMPLE LIBRARIES The Loop Loft' },
            {
                id: '96',
                cat: 'Audio',
                desc: 'SAMPLE LIBRARIES Tonehammer, 8dio, SoundIron',
            },
            {
                id: '67',
                cat: 'Audio',
                desc: 'SAMPLE LIBRARIES Toontrack, Drumkit From Hell, DFHS',
            },
            { id: '69', cat: 'Audio', desc: 'SAMPLE LIBRARIES Ueberschall' },
            { id: '157', cat: 'Audio', desc: 'SAMPLE LIBRARIES USB Soundscan' },
            {
                id: '120',
                cat: 'Audio',
                desc: 'SAMPLE LIBRARIES Valentino Production',
            },
            {
                id: '173',
                cat: 'Audio',
                desc: 'SAMPLE LIBRARIES vandalism sounds',
            },
            {
                id: '170',
                cat: 'Audio',
                desc: 'SAMPLE LIBRARIES Vanilla Groove Studios',
            },
            {
                id: '119',
                cat: 'Audio',
                desc: 'SAMPLE LIBRARIES Vengeance Sound',
            },
            { id: '114', cat: 'Audio', desc: 'SAMPLE LIBRARIES Video Helper' },
            { id: '44', cat: 'Audio', desc: 'SAMPLE LIBRARIES Vienna' },
            { id: '77', cat: 'Audio', desc: 'SAMPLE LIBRARIES Vipzone' },
            { id: '131', cat: 'Audio', desc: 'SAMPLE LIBRARIES Wavesfactory' },
            { id: '89', cat: 'Audio', desc: 'SAMPLE LIBRARIES West one' },
            { id: '113', cat: 'Audio', desc: 'SAMPLE LIBRARIES Wusik.com' },
            { id: '78', cat: 'Audio', desc: 'SAMPLE LIBRARIES Yellowtools' },
            { id: '138', cat: 'Audio', desc: 'SAMPLE LIBRARIES YnK.Audio' },
            { id: '100', cat: 'Audio', desc: 'SAMPLE LIBRARIES Zenhiser' },
            { id: '57', cat: 'Audio', desc: 'SAMPLE LIBRARIES Zero-G' },
            { id: '15', cat: 'PC', desc: 'VSTi + FX' },
            { id: '72', cat: 'PC', desc: 'VSTi + FX FX' },
            { id: '181', cat: 'PC', desc: 'VSTi + FX VSTi' },
            { id: '18', cat: 'PC/Mac', desc: 'MAC' },
            { id: '186', cat: 'PC/Mac', desc: 'MAC Apps' },
            { id: '188', cat: 'PC/Mac', desc: 'MAC FX' },
            { id: '189', cat: 'PC/Mac', desc: 'MAC Instruments' },
            { id: '190', cat: 'PC/Mac', desc: 'MAC TUTORIAL' },
            { id: '187', cat: 'PC/Mac', desc: 'MAC Samples' },
            { id: '19', cat: 'Other', desc: 'MISC' },
            { id: '185', cat: 'Other', desc: 'MISC Utilities' },
            { id: '84', cat: 'Books', desc: 'SHEET MUSIC' },
            { id: '87', cat: 'Books', desc: 'SHEET MUSIC Full Score' },
            { id: '86', cat: 'Books', desc: 'SHEET MUSIC Guitar' },
            { id: '88', cat: 'Books', desc: 'SHEET MUSIC Other instruments' },
            { id: '85', cat: 'Books', desc: 'SHEET MUSIC Piano' },
            { id: '20', cat: 'Books', desc: 'LEARNING' },
            { id: '197', cat: 'Books', desc: 'LEARNING Academy.FM' },
            { id: '183', cat: 'Books', desc: 'LEARNING ADSR' },
            { id: '141', cat: 'Books', desc: 'LEARNING Alfred' },
            { id: '142', cat: 'Books', desc: 'LEARNING Ask Video' },
            { id: '27', cat: 'Books', desc: 'LEARNING Books' },
            { id: '143', cat: 'Books', desc: 'LEARNING FaderPro' },
            { id: '144', cat: 'Books', desc: 'LEARNING Groove3' },
            { id: '145', cat: 'Books', desc: 'LEARNING Hal Leonard' },
            { id: '105', cat: 'Books', desc: 'LEARNING Hardware manuals' },
            { id: '196', cat: 'Books', desc: 'LEARNING Jam Track Central' },
            { id: '146', cat: 'Books', desc: 'LEARNING Lick Library' },
            { id: '147', cat: 'Books', desc: 'LEARNING Lynda.com' },
            { id: '148', cat: 'Books', desc: 'LEARNING MacProVideo' },
            { id: '101', cat: 'Books', desc: 'LEARNING Magazines' },
            {
                id: '93',
                cat: 'Books',
                desc: 'LEARNING Music Video (Concerts, DVD, DVDrip)',
            },
            { id: '199', cat: 'Books', desc: 'LEARNING PUREMIX' },
            { id: '149', cat: 'Books', desc: 'LEARNING Riff Interactive' },
            { id: '194', cat: 'Books', desc: 'LEARNING SkillShare' },
            { id: '150', cat: 'Books', desc: 'LEARNING Sonic Academy' },
            { id: '151', cat: 'Books', desc: 'LEARNING Total training' },
            { id: '152', cat: 'Books', desc: 'LEARNING TrueFire' },
            { id: '182', cat: 'Books', desc: 'LEARNING Udemy' },
            { id: '28', cat: 'Books', desc: 'LEARNING Video' },
            { id: '153', cat: 'Books', desc: 'LEARNING VTC' },
            { id: '29', cat: 'Audio/Other', desc: 'PRESETS' },
            { id: '167', cat: 'Audio/Other', desc: 'PRESETS Ableton Live' },
            {
                id: '184',
                cat: 'Audio/Other',
                desc: 'PRESETS Impulse Responses',
            },
            { id: '166', cat: 'Audio/Other', desc: 'PRESETS Massive' },
            { id: '163', cat: 'Audio/Other', desc: 'PRESETS Nebula' },
            { id: '200', cat: 'Audio/Other', desc: 'PRESETS Omnisphere' },
            { id: '165', cat: 'Audio/Other', desc: 'PRESETS Reaktor' },
            { id: '201', cat: 'Audio/Other', desc: 'PRESETS Xfer Serum' },
            { id: '164', cat: 'Audio/Other', desc: 'PRESETS Sylenth' },
            { id: '168', cat: 'Audio/Other', desc: 'PRESETS Toontrack' },
            { id: '21', cat: 'Other', desc: 'UPDATE' },
            { id: '222', cat: 'Other', desc: 'GFXNEWS 3D' },
            { id: '207', cat: 'Other', desc: 'GFXNEWS APPS WIN' },
            { id: '215', cat: 'Other', desc: 'GFXNEWS APPS LINUX' },
            { id: '214', cat: 'Other', desc: 'GFXNEWS APPS MAC' },
            { id: '211', cat: 'Other', desc: 'GFXNEWS BOOKS' },
            { id: '224', cat: 'Other', desc: 'GFXNEWS CAD/CAM' },
            { id: '212', cat: 'Other', desc: 'GFXNEWS FONTS' },
            { id: '213', cat: 'Other', desc: 'GFXNEWS FOOTAGE' },
            { id: '226', cat: 'Other', desc: 'GFXNEWS MAGAZINE' },
            { id: '216', cat: 'Other', desc: 'GFXNEWS PHOTOSTOCK' },
            { id: '220', cat: 'Other', desc: 'GFXNEWS PHOTOGRAPHY - ART' },
            { id: '227', cat: 'Other', desc: 'GFXNEWS PHOTOSHOP' },
            {
                id: '228',
                cat: 'Other',
                desc: 'GFXNEWS PHOTOSHOP Actions, Pattern & Styles',
            },
            {
                id: '229',
                cat: 'Other',
                desc: 'GFXNEWS PHOTOSHOP Background & PSD Source',
            },
            {
                id: '230',
                cat: 'Other',
                desc: 'GFXNEWS PHOTOSHOP Brushes & Gradient',
            },
            {
                id: '231',
                cat: 'Other',
                desc: 'GFXNEWS PHOTOSHOP Toolkits, Papers & Objects',
            },
            { id: '225', cat: 'Other', desc: 'GFXNEWS PLUGINS LINUX' },
            { id: '223', cat: 'Other', desc: 'GFXNEWS PLUGINS MAC' },
            { id: '210', cat: 'Other', desc: 'GFXNEWS PLUGINS WIN' },
            {
                id: '217',
                cat: 'Other',
                desc: 'GFXNEWS SCRIPTS - WEB PROGRAMMING',
            },
            { id: '218', cat: 'Other', desc: 'GFXNEWS TEMPLATES' },
            { id: '232', cat: 'Other', desc: 'GFXNEWS TEXTURES' },
            { id: '219', cat: 'Other', desc: 'GFXNEWS TUTORIALS' },
            { id: '221', cat: 'Other', desc: 'GFXNEWS VIDEO PRODUCTION' },
        ],
        modes: { search: ['q'] },
    },
    settings: [
        { name: 'username', type: 'text', label: 'Username' },
        { name: 'password', type: 'password', label: 'Password' },
        {
            name: 'sort',
            type: 'select',
            label: 'Sort requested from site',
            default: '1',
            options: { '1': 'created', '2': 'title', '7': 'size', '10': 'seeders' },
        },
        {
            name: 'type',
            type: 'select',
            label: 'Order requested from site',
            default: '2',
            options: { '1': 'asc', '2': 'desc' },
        },
    ],
    login: {
        path: 'login.php',
        method: 'post',
        inputs: {
            login_username: '{{ .Config.username }}',
            login_password: '{{ .Config.password }}',
            autologin: 1,
            login: 'Log in',
            redirect: '/',
        },
        error: [
            {
                selector: 'table.error',
                message: { selector: 'table.error tr td div.msg' },
            },
        ],
        test: { path: '/', selector: 'li a[href^="./login.php?logout=1"]' },
    },
    search: {
        paths: [{ path: 'tracker.php', method: 'post' }],
        inputs: {
            $raw: '{{ if .Categories }}{{ range .Categories }}f[]={{.}}&{{end}}{{else}}f[]=-1{{end}}',
            prev_allw: 1,
            prev_a: 0,
            prev_dla: 0,
            prev_dlc: 0,
            prev_dld: 0,
            prev_dlw: 0,
            prev_my: 0,
            prev_new: 0,
            prev_sd: 0,
            prev_da: 1,
            prev_dc: 0,
            prev_df: 1,
            prev_ds: 0,
            pre_tor_type: 0,
            prev_date_from: '',
            prev_date_to: '',
            prev_hide_rereg: 0,
            o: '{{ .Config.sort }}',
            s: '{{ .Config.type }}',
            df: 1,
            da: 1,
            nm: '{{ .Keywords }}',
            pn: '',
            submit: 'Search',
        },
        rows: {
            selector: 'table.forumline > tbody > tr:has(a[href*="/dl.php?id="])',
            dateheaders: {
                selector: 'td[colspan="20"] > strong',
                filters: [{ name: 'dateparse', args: '01-02-2006' }],
            },
        },
        fields: {
            title: { selector: 'td a[href*="/viewtopic.php?t="]' },
            details: {
                selector: 'td a[href*="/viewtopic.php?t="]',
                attribute: 'href',
            },
            download: {
                selector: 'td a[href*="/dl.php?id="]',
                attribute: 'href',
            },
            category: {
                selector: 'td a[href*="/tracker.php?f="]',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'f' }],
            },
            size: { optional: true, selector: 'td:contains(\\00a0B)' },
            seeders: { optional: true, selector: 'td[title="Seeders"]' },
            leechers: { optional: true, selector: 'td[title="Leechers"]' },
            grabs: { optional: true, selector: 'td[title^="Replies:"]' },
            downloadvolumefactor: { text: 1 },
            uploadvolumefactor: { text: 1 },
        },
    },
    source: 'jackett',
};
