"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'icetorrent',
    name: 'ICE Torrent',
    description: 'ICE Torrent is a ratioless ROMANIAN Private Torrent Tracker for 0DAY / GENERAL',
    language: 'ro-RO',
    type: 'private',
    encoding: 'UTF-8',
    links: ['https://icetorrent.org/'],
    legacylinks: ['https://www.icetorrent.org/'],
    caps: {
        categorymappings: [
            { id: '38', cat: 'Movies', desc: 'Movie Packs' },
            { id: '10', cat: 'Movies/SD', desc: 'Movies: SD' },
            { id: '35', cat: 'Movies/SD', desc: 'Movies: SD Ro' },
            { id: '8', cat: 'Movies/HD', desc: 'Movies: HD' },
            { id: '29', cat: 'Movies/HD', desc: 'Movies: HD Ro' },
            { id: '7', cat: 'Movies/DVD', desc: 'Movies: DVD' },
            { id: '2', cat: 'Movies/DVD', desc: 'Movies: DVD Ro' },
            { id: '17', cat: 'Movies/BluRay', desc: 'Movies: BluRay' },
            { id: '24', cat: 'Movies/BluRay', desc: 'Movies: BluRay Ro' },
            { id: '59', cat: 'Movies', desc: 'Movies: Ro' },
            { id: '57', cat: 'Movies/UHD', desc: 'Movies: 4K (2160p) Ro' },
            { id: '61', cat: 'Movies/UHD', desc: 'Movies: 4K (2160p)' },
            { id: '41', cat: 'TV', desc: 'TV Packs' },
            { id: '66', cat: 'TV', desc: 'TV Packs Ro' },
            { id: '45', cat: 'TV', desc: 'TV Episodes' },
            { id: '46', cat: 'TV', desc: 'TV Episodes Ro' },
            { id: '43', cat: 'TV/HD', desc: 'TV Episodes HD' },
            { id: '44', cat: 'TV/HD', desc: 'TV Episodes HD Ro' },
            { id: '60', cat: 'TV', desc: 'TV Ro' },
            { id: '11', cat: 'PC/Games', desc: 'Games: PC-ISO' },
            { id: '52', cat: 'Console', desc: 'Games: Console' },
            { id: '1', cat: 'PC/0day', desc: 'Applications' },
            { id: '14', cat: 'PC', desc: 'Applications: Linux' },
            { id: '37', cat: 'PC/Mac', desc: 'Applications: Mac' },
            { id: '19', cat: 'PC/Phone-Other', desc: 'Applications: Mobile' },
            { id: '62', cat: 'TV', desc: 'TV Cartoons' },
            { id: '3', cat: 'TV/Anime', desc: 'TV Anime / Hentai' },
            { id: '6', cat: 'Books/Ebook', desc: 'E-books' },
            { id: '5', cat: 'Audio', desc: 'Music' },
            { id: '64', cat: 'Audio/Video', desc: 'Music Video' },
            { id: '18', cat: 'Other', desc: 'Images' },
            { id: '22', cat: 'TV/Sport', desc: 'TV Sports' },
            { id: '58', cat: 'TV/Sport', desc: 'TV Sports Ro' },
            { id: '9', cat: 'TV/Documentary', desc: 'TV Documentary' },
            { id: '63', cat: 'TV/Documentary', desc: 'TV Documentary Ro' },
            { id: '65', cat: 'Other', desc: 'Tutorial' },
            { id: '67', cat: 'Other', desc: 'Miscellaneous' },
            { id: '15', cat: 'XXX', desc: 'XXX Movies' },
            { id: '47', cat: 'XXX', desc: 'XXX DVD' },
            { id: '48', cat: 'XXX', desc: 'XXX HD' },
            { id: '49', cat: 'XXX', desc: 'XXX Images' },
            { id: '50', cat: 'XXX', desc: 'XXX Packs' },
            { id: '51', cat: 'XXX', desc: 'XXX SD' },
        ],
        modes: {
            search: ['q', 'imdbid'],
            'tv-search': ['q', 'season', 'ep', 'imdbid'],
            'movie-search': ['q', 'imdbid'],
        },
    },
    settings: [
        { name: 'username', type: 'text', label: 'Username' },
        { name: 'password', type: 'password', label: 'Password' },
        {
            name: 'sort',
            type: 'select',
            label: 'Sort requested from site',
            default: 'refreshAt',
            options: {
                refreshAt: 'created',
                seeders: 'seeders',
                size: 'size',
            },
        },
        {
            name: 'type',
            type: 'select',
            label: 'Order requested from site',
            default: 'desc',
            options: { desc: 'desc', asc: 'asc' },
        },
        {
            name: 'browseadult',
            type: 'checkbox',
            label: 'Use the Adult search engine',
            default: false,
        },
        {
            name: 'info_browseadult',
            type: 'info',
            label: 'About the Adult search engine',
            default: 'The <b>Adult</b> search engine only returns <i>Adult category</i> results.</br>And Vice Versa.',
        },
        {
            name: 'info_Search',
            type: 'info',
            label: 'About Search results',
            default: 'This indexer supports only the <b>English</b> language. Choosing <i>non-English languages</i> will cause incorrect dates to be returned.</br>For best results edit your profile and set your <b>Torrents per page</b> to <b>100</b>. The Default is <i>50</i>.',
        },
    ],
    login: {
        path: 'login',
        method: 'form',
        form: 'form',
        inputs: {
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
            _remember_me: 'on',
        },
        selectorinputs: {
            _csrf_token: {
                selector: 'input[name="_csrf_token"]',
                attribute: 'value',
            },
        },
        error: [{ selector: 'span:contains("Error")' }, { selector: 'div.alert:contains("failed")' }],
        test: { path: '/', selector: 'a[href*="/logout?_csrf_token="]' },
    },
    ratio: { text: -1 },
    search: {
        paths: [{ path: '{{ if .Config.browseadult }}adult{{else}}browse{{end}}' }],
        inputs: {
            $raw: '{{ range .Categories }}categories[]={{.}}&{{end}}',
            search: '{{ if .Query.IMDBID }}{{ .Query.IMDBID }}{{else}}{{ .Keywords }}{{end}}',
            sort: 'torrent.{{ .Config.sort }}',
            direction: '{{ .Config.type }}',
        },
        rows: {
            selector: 'div.kt-portlet--mobile > div.kt-portlet__body--fit > div.mr-0',
        },
        fields: {
            category: {
                selector: 'a[href^="/browse?categories"]',
                attribute: 'href',
                filters: [{ name: 'regexp', args: '(\\d+)$' }],
            },
            title: { selector: 'a[href^="/browse/"]' },
            details: { selector: 'a[href^="/browse/"]', attribute: 'href' },
            download: {
                selector: 'a[href^="/torrents/"]',
                attribute: 'href',
            },
            imdb: {
                optional: true,
                selector: 'a[href*="www.imdb.com/title/tt"]',
                attribute: 'href',
            },
            date: {
                selector: 'div[data-toggle="kt-tooltip"]',
                attribute: 'title',
                filters: [{ name: 'dateparse', args: 'Jan 2, 2006, 3:04:05 PM' }],
            },
            size: { selector: 'div[data-toggle="kt-tooltip"] + div + div' },
            grabs: {
                selector: 'div[data-toggle="kt-tooltip"] + div',
                filters: [{ name: 'regexp', args: '(\\d+)' }],
            },
            seeders: {
                selector: 'div[data-toggle="kt-tooltip"] + div + div + div > div div:nth-child(1)',
                filters: [{ name: 'regexp', args: '(\\d+)' }],
            },
            leechers: {
                selector: 'div[data-toggle="kt-tooltip"] + div + div + div > div div:nth-child(2)',
                filters: [{ name: 'regexp', args: '(\\d+)' }],
            },
            downloadvolumefactor: {
                case: {
                    'span.kt-badge--success:contains("free")': 0,
                    'span.kt-badge--dark:contains("half")': 0.5,
                    '*': 1,
                },
            },
            uploadvolumefactor: {
                case: { 'span.kt-badge--info:contains("double")': 2, '*': 1 },
            },
        },
    },
    source: 'jackett',
};
