"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'torrentparadise',
    name: 'TorrentParadise',
    description: 'Torrent Paradise is a Public magnet indexer',
    language: 'en-US',
    type: 'public',
    encoding: 'UTF-8',
    links: ['https://torrentparadise.cl/'],
    legacylinks: ['https://torrentparadise.org/'],
    caps: {
        modes: {
            search: ['q'],
            'tv-search': ['q', 'season', 'ep'],
            'movie-search': ['q'],
        },
        categorymappings: [
            { id: 'ADULT LATINA', cat: 'XXX' },
            { id: 'ADULT MILF', cat: 'XXX' },
            { id: 'ADULT XXX', cat: 'XXX' },
            { id: 'ADULT', cat: 'XXX' },
            { id: 'ANIME', cat: 'TV/Anime' },
            { id: 'APPLICATIONS > ANDROID', cat: 'PC' },
            { id: 'APPLICATIONS > HANDHELD', cat: 'PC/Phone-Other' },
            { id: 'APPLICATIONS > MAC', cat: 'PC/Mac' },
            { id: 'APPLICATIONS > OTHER OS', cat: 'PC' },
            { id: 'APPLICATIONS > WINDOWS', cat: 'PC/0day' },
            { id: 'APPLICATIONS', cat: 'PC' },
            { id: 'APPS > ANDROID', cat: 'PC' },
            { id: 'APPS > HANDHELD', cat: 'PC/Phone-Other' },
            { id: 'APPS > MAC', cat: 'PC/Mac' },
            { id: 'APPS > OTHER OS', cat: 'PC' },
            { id: 'APPS > WINDOWS', cat: 'PC/0day' },
            { id: 'APPS > PC', cat: 'PC' },
            { id: 'APPS', cat: 'PC' },
            { id: 'AUDIO > AUDIO BOOKS', cat: 'Audio/Audiobook' },
            { id: 'AUDIO', cat: 'Audio' },
            { id: 'BOOKS', cat: 'Books' },
            { id: 'DOCUMENTARIES', cat: 'TV/Documentary' },
            { id: 'EBOOKS', cat: 'Books/Ebook' },
            { id: 'ESTRENOS', cat: 'XXX' },
            { id: 'FLAC MUSIC', cat: 'Audio/Lossless' },
            { id: 'FLAC', cat: 'Audio/Lossless' },
            { id: 'GAMES > HANDHELD', cat: 'Console' },
            { id: 'GAMES > OTHER', cat: 'Console' },
            { id: 'GAMES > PC', cat: 'PC/Games' },
            { id: 'GAMES > PS2', cat: 'Console/PSP' },
            { id: 'GAMES > PS3', cat: 'Console/PS3' },
            { id: 'GAMES > PS4', cat: 'Console/PS4' },
            { id: 'GAMES > PSP', cat: 'Console/PSP' },
            { id: 'GAMES > WII', cat: 'Console/Wii' },
            { id: 'GAMES > WIIU', cat: 'Console/WiiU' },
            { id: 'GAMES > XBOX', cat: 'Console/Xbox' },
            { id: 'GAMES > XBOX360', cat: 'Console/Xbox360' },
            { id: 'GAMES > WINDOWS', cat: 'PC/Games' },
            { id: 'GAMES', cat: 'PC/Games' },
            { id: 'JUEGOS PS2', cat: 'Console/PSP' },
            { id: 'JUEGOS PS3', cat: 'Console/PS3' },
            { id: 'JUEGOS PS4', cat: 'Console/PS4' },
            { id: 'JUEGOS PSP', cat: 'Console/PSP' },
            { id: 'JUEGOS WII', cat: 'Console/Wii' },
            { id: 'JUEGOS WIIU', cat: 'Console/WiiU' },
            { id: 'JUEGOS XBOX', cat: 'Console/Xbox' },
            { id: 'JUEGOS XBOX360', cat: 'Console/Xbox360' },
            { id: 'JUEGOS', cat: 'Console' },
            { id: 'MOBILE', cat: 'PC/Phone-Other' },
            { id: 'MOVIES > ENGLISH (SPANISH SUBT)', cat: 'Movies' },
            { id: 'MOVIES', cat: 'Movies' },
            { id: 'MP3 MUSIC', cat: 'Audio/MP3' },
            { id: 'MP3', cat: 'Audio/MP3' },
            { id: 'MUSIC > LOSSLESS', cat: 'Audio/Lossless' },
            { id: 'MUSIC > MP3', cat: 'Audio/MP3' },
            { id: 'MUSIC', cat: 'Audio' },
            { id: 'OTHER > COVERS', cat: 'Other' },
            { id: 'OTHER > E-BOOKS', cat: 'Other' },
            { id: 'OTHER > OTHER', cat: 'Other' },
            { id: 'OTHER', cat: 'Other' },
            { id: 'PORN > GAMES', cat: 'XXX' },
            { id: 'PORN > MOVIE CLIPS', cat: 'XXX' },
            { id: 'PORN > MOVIES', cat: 'XXX' },
            { id: 'PORN > OTHER', cat: 'XXX' },
            { id: 'PORN > PICTURES', cat: 'XXX' },
            { id: 'PORN', cat: 'XXX' },
            { id: 'SOFTWARE > MAC', cat: 'PC/Mac' },
            { id: 'SOFTWARE > WINDOWS', cat: 'PC/0day' },
            { id: 'SOFTWARE', cat: 'PC' },
            { id: 'TUTORIALS', cat: 'Other' },
            { id: 'TV SHOWS', cat: 'TV' },
            { id: 'TV', cat: 'TV' },
            { id: 'VIDEO > HD - MOVIES', cat: 'Movies/HD' },
            { id: 'VIDEO > HD - TV SHOWS', cat: 'TV/HD' },
            { id: 'VIDEO > MOVIE CLIPS', cat: 'Movies' },
            { id: 'VIDEO > MOVIES', cat: 'Movies' },
            { id: 'VIDEO > MUSIC VIDEOS', cat: 'Audio/Video' },
            { id: 'VIDEO > OTHER', cat: 'Movies' },
            { id: 'VIDEO > SD - MOVIES', cat: 'Movies/SD' },
            { id: 'VIDEO > SD - TV SHOWS', cat: 'TV/SD' },
            { id: 'VIDEO > TV SHOWS', cat: 'TV' },
            { id: 'VIDEO > UHD - MOVIES', cat: 'Movies/UHD' },
            { id: 'VIDEO > UHD - TV SHOWS', cat: 'TV/UHD' },
            { id: 'VIDEO HDRIP', cat: 'Movies' },
            { id: 'VIDEO', cat: 'Movies' },
            { id: 'XXX', cat: 'XXX' },
        ],
    },
    settings: [],
    download: { selector: 'a[href^="magnet:?xt="]', attribute: 'href' },
    search: {
        paths: [
            {
                path: '{{ if .Keywords }}search.php?f={{ .Keywords }}{{ else }}recent{{ end }}',
            },
        ],
        rows: { selector: 'table.table-bordered > tbody > tr.table-default' },
        fields: {
            category: {
                selector: 'td:nth-child(1) a',
                filters: [{ name: 'toupper' }],
            },
            description: { selector: 'td:nth-child(1) a' },
            title: { selector: 'td:nth-child(2) a' },
            details: { selector: 'td:nth-child(2) a', attribute: 'href' },
            download: { selector: 'td:nth-child(2) a', attribute: 'href' },
            size: { selector: 'td:nth-child(3)' },
            date: {
                selector: 'td:nth-child(4)',
                filters: [{ name: 'timeago' }],
            },
            seeders: { selector: 'td:nth-child(5)' },
            leechers: { selector: 'td:nth-child(6)' },
            downloadvolumefactor: { text: 0 },
            uploadvolumefactor: { text: 1 },
        },
    },
    source: 'jackett',
};
