"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: '2fast4you',
    name: '2 Fast 4 You',
    description: '2 Fast 4 You is a FRENCH Private site for TV / MOVIES / GENERAL',
    language: 'fr-FR',
    type: 'private',
    encoding: 'UTF-8',
    links: ['https://2f4y.me/'],
    legacylinks: ['http://www.2f4y.me/', 'https://www.2f4y.me/'],
    caps: {
        categorymappings: [
            { id: '10', cat: 'TV/Anime', desc: 'Animation: HD720P' },
            { id: '11', cat: 'TV/Anime', desc: 'Animation: HD1080P' },
            { id: '56', cat: 'TV/Anime', desc: 'Animation: DVDRip' },
            { id: '18', cat: 'PC/0day', desc: 'Applications: PC' },
            { id: '16', cat: 'PC/Games', desc: 'Applications: Jeux' },
            {
                id: '19',
                cat: 'PC/Phone-Android',
                desc: 'Applications: Android',
            },
            { id: '17', cat: 'PC/0day', desc: 'Applications: Autres' },
            { id: '67', cat: 'TV', desc: 'Autres: Emission TV' },
            { id: '68', cat: 'TV/Sport', desc: 'Autres: Sport' },
            { id: '40', cat: 'Other', desc: 'Autres: Autres' },
            { id: '14', cat: 'TV/Documentary', desc: 'Documentaires: DivX' },
            { id: '15', cat: 'TV/Documentary', desc: 'Documentaires: HD' },
            { id: '76', cat: 'TV/Documentary', desc: 'Documentaires: TVRip' },
            {
                id: '62',
                cat: 'Audio/Audiobook',
                desc: 'E-Books: E-Books Audio',
            },
            { id: '50', cat: 'Books', desc: 'E-Books: Manuel Français' },
            { id: '49', cat: 'Books', desc: 'E-Books: Manuel Anglais' },
            { id: '36', cat: 'Books', desc: 'E-Books: Livres Français' },
            { id: '53', cat: 'Books', desc: 'E-Books: Livre Anglais' },
            { id: '52', cat: 'Books', desc: 'E-Books: Revue - Journaux' },
            { id: '51', cat: 'Books', desc: 'E-Books: BD' },
            { id: '95', cat: 'Movies', desc: 'Films: Film Divx XviD' },
            { id: '66', cat: 'Movies', desc: 'Films: VOSTFR' },
            { id: '71', cat: 'Movies/WEBDL', desc: 'Films: WEB-DL' },
            { id: '65', cat: 'Movies', desc: 'Films: VO' },
            { id: '72', cat: 'Movies/SD', desc: 'Films: TVRip/HDTV' },
            { id: '70', cat: 'Movies/HD', desc: 'Films: MHD X265' },
            { id: '57', cat: 'Movies/SD', desc: 'Films: TS/CAM' },
            { id: '59', cat: 'Movies', desc: 'Films: Spectacle' },
            { id: '55', cat: 'Movies/HD', desc: 'Films: MHD 720P' },
            { id: '54', cat: 'Movies/HD', desc: 'Films: MHD 1080P' },
            { id: '1', cat: 'Movies/HD', desc: 'Films: HD720P' },
            { id: '2', cat: 'Movies/HD', desc: 'Films: HD1080P' },
            { id: '90', cat: 'Movies/HD', desc: 'Films: HD X265' },
            { id: '92', cat: 'Movies/HD', desc: 'Films: 4K' },
            { id: '69', cat: 'Movies/3D', desc: 'Films: Film 3D' },
            { id: '3', cat: 'Movies/DVD', desc: 'Films: DVDRIP' },
            { id: '5', cat: 'Movies/DVD', desc: 'Films: DVD9' },
            { id: '91', cat: 'Movies/HD', desc: 'Films: RemuX' },
            { id: '89', cat: 'Movies/HD', desc: 'Films: BD/BR Rip' },
            { id: '88', cat: 'Movies/BluRay', desc: 'Films: Full BD/BR' },
            { id: '97', cat: 'Movies', desc: 'Films: Cours Métrage' },
            { id: '79', cat: 'TV/Anime', desc: 'Mangas: HD' },
            { id: '81', cat: 'TV/Anime', desc: 'Mangas: HD VOSTFR' },
            { id: '85', cat: 'TV/Anime', desc: 'Mangas: Web-DL' },
            { id: '86', cat: 'TV/Anime', desc: 'Mangas: TV-RIP' },
            { id: '75', cat: 'Audio', desc: 'Musique: Concert TVRip' },
            { id: '25', cat: 'Audio/MP3', desc: 'Musique: Single MP3' },
            { id: '24', cat: 'Audio/Lossless', desc: 'Musique: Single Flac' },
            { id: '22', cat: 'Audio/MP3', desc: 'Musique: Album MP3' },
            { id: '23', cat: 'Audio/Lossless', desc: 'Musique: Album Flac' },
            { id: '64', cat: 'Audio', desc: 'Musique: Mégamix Maison' },
            { id: '96', cat: 'Audio/MP3', desc: 'Musique: PlayList MP3' },
            { id: '94', cat: 'Audio', desc: 'Musique: Podcast' },
            { id: '58', cat: 'Audio', desc: 'Musique: Concert' },
            { id: '93', cat: 'TV', desc: 'Serie TV: Saison VOSTFR' },
            { id: '61', cat: 'TV', desc: 'Serie TV: Episode VOSTFR' },
            { id: '63', cat: 'TV', desc: 'Serie TV: Episode VO' },
            { id: '12', cat: 'TV/Anime', desc: 'Serie TV: Animation' },
            { id: '74', cat: 'TV', desc: 'Serie TV: TVRip' },
            { id: '73', cat: 'TV/WEB-DL', desc: 'Serie TV: WEB-DL' },
            { id: '7', cat: 'TV', desc: 'Serie TV: Episode FR' },
            { id: '6', cat: 'TV', desc: 'Serie TV: Saison FR' },
            { id: '98', cat: 'TV/Anime', desc: 'Serie TV: Manga VOSTFR' },
        ],
        modes: {
            search: ['q'],
            'tv-search': ['q', 'season', 'ep'],
            'movie-search': ['q'],
        },
    },
    settings: [
        { name: 'username', type: 'text', label: 'Username' },
        { name: 'password', type: 'password', label: 'Password' },
        {
            name: 'sort',
            type: 'select',
            label: 'Sort requested from site',
            default: 'id',
            options: {
                id: 'created',
                seeders: 'seeders',
                size: 'size',
                name: 'title',
            },
        },
        {
            name: 'order',
            type: 'select',
            label: 'Order requested from site',
            default: 'desc',
            options: { desc: 'desc', asc: 'asc' },
        },
    ],
    login: {
        path: 'account-login.php',
        method: 'post',
        inputs: {
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
        },
        error: [
            {
                selector: 'form:contains("Erreur")',
                message: { selector: 'form', remove: 'table' },
            },
        ],
        test: { path: 'torrents-search.php' },
    },
    search: {
        paths: [{ path: 'torrents-search.php' }],
        inputs: {
            $raw: '{{range .Categories}}c{{.}}=1&{{end}}',
            search: '{{ .Keywords }}',
            incldead: 1,
            freeleech: 0,
            lang: 0,
            sort: '{{ .Config.sort}}',
            order: '{{ .Config.order}}',
        },
        keywordsfilters: [{ name: 're_replace', args: ['^$', '%'] }],
        rows: {
            selector: 'table.ttable_headinner > tbody > tr[class^="t-row"]',
        },
        fields: {
            category: {
                selector: 'a[href^="torrents.php?cat="]',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'cat' }],
            },
            download: {
                selector: 'a[href^="torrents-details.php?id="]',
                attribute: 'href',
                filters: [
                    {
                        name: 'replace',
                        args: ['torrents-details.php', 'download.php'],
                    },
                ],
            },
            title: {
                selector: 'a[href^="torrents-details.php?id="]',
                filters: [{ name: 'replace', args: [' - (Nouveau!)', ''] }],
            },
            details: {
                selector: 'a[href^="torrents-details.php?id="]',
                attribute: 'href',
            },
            banner: { selector: 'img.rounded-img', attribute: 'src' },
            size: { selector: 'td:nth-child(5)' },
            seeders: { selector: 'td:nth-child(7)' },
            leechers: { selector: 'td:nth-child(8)' },
            date: { text: 'now' },
            downloadvolumefactor: {
                case: { 'img[title="freeleech"]': 0, '*': 1 },
            },
            uploadvolumefactor: { case: { '*': 1 } },
        },
    },
    source: 'jackett',
};
