"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'arenabg',
    name: 'ArenaBG',
    description: 'ArenaBG is a BULGARIAN Semi-Private Torrent Tracker for 0DAY / GENERAL',
    language: 'bg-BG',
    type: 'semi-private',
    encoding: 'UTF-8',
    links: ['https://arenabg.ch/'],
    legacylinks: ['https://arenabg.com/'],
    caps: {
        categorymappings: [
            { id: 'movies', cat: 'Movies', desc: 'Movies' },
            { id: 'arenabgtv', cat: 'Movies', desc: 'Movies / ArenaBG.TV' },
            { id: 'xvid', cat: 'Movies/SD', desc: 'Movies / XviD' },
            { id: 'dvd-r', cat: 'Movies/DVD', desc: 'Movies / DVD-R' },
            { id: 'x264', cat: 'Movies/HD', desc: 'Movies / x264' },
            {
                id: 'animemanga',
                cat: 'TV/Anime',
                desc: 'Movies / Anime & Manga',
            },
            {
                id: 'documentaries',
                cat: 'TV/Documentary',
                desc: 'Movies / Documentaries',
            },
            { id: 'blu-ray', cat: 'Movies/BluRay', desc: 'Movies / Blu-ray' },
            { id: 'boxset', cat: 'Movies', desc: 'Movies / Boxset' },
            {
                id: 'x264boxset',
                cat: 'Movies/HD',
                desc: 'Movies / x264 Boxset',
            },
            { id: 'tvepisodeshd', cat: 'Movies/HD', desc: 'Movies / HDTV' },
            { id: '3d', cat: 'Movies/3D', desc: 'Movies / 3D' },
            { id: 'movies-hd', cat: 'Movies/HD', desc: 'Movies / Movies HD' },
            { id: 'x265', cat: 'Movies/HD', desc: 'Movies / x265' },
            { id: '4k', cat: 'Movies/UHD', desc: 'Movies / 4K' },
            { id: 'series', cat: 'TV', desc: 'Series' },
            { id: 'hdtv', cat: 'TV/HD', desc: 'Series / TV Episodes HD' },
            { id: 'tvepisodes', cat: 'TV', desc: 'Series / TV Episodes' },
            { id: 'tvboxset', cat: 'TV', desc: 'Series / TV Boxset' },
            { id: 'tvboxsethd', cat: 'TV/HD', desc: 'Series / TV Boxset HD' },
            { id: 'music', cat: 'Audio', desc: 'Music' },
            { id: 'mp3', cat: 'Audio/MP3', desc: 'Music / MP3' },
            { id: 'music-video', cat: 'Audio/Video', desc: 'Music / Video' },
            { id: 'flac', cat: 'Audio/Lossless', desc: 'Music / FLAC' },
            { id: 'music-dvd', cat: 'Audio', desc: 'Music / DVD' },
            { id: 'music-ape', cat: 'Audio/Lossless', desc: 'Music / APE' },
            { id: 'music-dts', cat: 'Audio', desc: 'Music / DTS' },
            { id: 'musicwavpack', cat: 'Audio', desc: 'Music / WavePack' },
            { id: 'musicost', cat: 'Audio', desc: 'Music / OST' },
            { id: 'games', cat: 'PC/Games', desc: 'Games' },
            { id: 'games-iso', cat: 'PC/Games', desc: 'Games / PC ISO' },
            { id: 'pc-rip', cat: 'PC', desc: 'Games / PC RIP' },
            { id: 'ps2', cat: 'Console', desc: 'Games / PS2' },
            { id: 'psp', cat: 'Console/PSP', desc: 'Games / PSP' },
            { id: 'xbox', cat: 'Console/Xbox', desc: 'Games / XBOX' },
            {
                id: 'xbox-360',
                cat: 'Console/Xbox360',
                desc: 'Games / XBOX-360',
            },
            { id: 'ps3', cat: 'Console/PS3', desc: 'Games / PS3' },
            { id: 'wii', cat: 'Console/Wii', desc: 'Games / WII' },
            { id: 'PS4', cat: 'Console/PS4', desc: 'Games / PS4' },
            { id: 'software', cat: 'PC', desc: 'Software' },
            { id: 'pc-iso', cat: 'PC/ISO', desc: 'Software / PC ISO' },
            {
                id: 'pdasmartphone',
                cat: 'PC/Phone-Other',
                desc: 'Software / Smartphone',
            },
            { id: 'tutorial', cat: 'PC', desc: 'Software / Tutorial' },
            {
                id: 'android',
                cat: 'PC/Phone-Android',
                desc: 'Software / Android',
            },
            { id: 'ios', cat: 'PC/Phone-IOS', desc: 'Software / iOS' },
            { id: 'misc', cat: 'Other/Misc', desc: 'Misc' },
            { id: 'other', cat: 'Other', desc: 'Misc / Other' },
            { id: 'e-books', cat: 'Books/Ebook', desc: 'Misc / e-Books' },
            { id: 'sports', cat: 'TV/Sport', desc: 'Misc / Sports' },
            { id: '0-day', cat: 'PC/0day', desc: 'Misc / 0-Day' },
            { id: 'xxx', cat: 'XXX', desc: 'XXX' },
            { id: 'porn', cat: 'XXX', desc: 'XXX / Porn' },
            { id: 'xxx-hd', cat: 'XXX', desc: 'XXX / XXX HD' },
        ],
        modes: {
            search: ['q'],
            'tv-search': ['q', 'season', 'ep'],
            'movie-search': ['q'],
        },
    },
    settings: [
        { name: 'username', type: 'text', label: 'Username' },
        { name: 'password', type: 'password', label: 'Password' },
        {
            name: 'downloadlink',
            type: 'select',
            label: 'Download link',
            default: 'magnet:?xt=',
            options: { '/get/key:': '.torrent', 'magnet:?xt=': 'magnet' },
        },
    ],
    login: {
        path: '/',
        method: 'form',
        form: 'form[action="/users/"]',
        inputs: {
            email: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
            action: 'login',
        },
        error: [
            {
                selector: 'div.row div div.alert i.fa-warning',
                message: { selector: 'div.row div div.alert' },
            },
        ],
        test: { path: '/', selector: 'a[href="/users/logout/"]' },
    },
    download: {
        selector: 'a[href*="{{ .Config.downloadlink }}"]',
        attribute: 'href',
    },
    search: {
        paths: [{ path: 'torrents/', method: 'post', followredirect: true }],
        inputs: {
            text: '{{ if .Keywords }}{{ .Keywords }}{{else}}{{end}}',
            text_mobile: '',
            type: 0,
            audio: 0,
            subtitles: 0,
            action: 'search',
        },
        rows: { selector: 'tr:has(td.category)' },
        fields: {
            title: { selector: 'td.filename div:nth-child(2) a' },
            details: { selector: 'td.filename div a', attribute: 'href' },
            category: {
                selector: 'td.category a',
                attribute: 'href',
                filters: [{ name: 're_replace', args: ['/torrents/type:(.+?)/', '$1'] }],
            },
            download: { selector: 'td.filename div a', attribute: 'href' },
            size: { selector: 'td:nth-child(4)' },
            date: {
                selector: 'td:nth-child(3):contains("-")',
                optional: true,
                filters: [{ name: 'dateparse', args: '2006-01-02' }],
            },
            seeders: {
                selector: 'td:nth-child(6)',
                filters: [
                    { name: 'replace', args: ['-', '0'] },
                    { name: 'replace', args: ['DHT', '0'] },
                ],
            },
            leechers: {
                selector: 'td:nth-child(7)',
                filters: [{ name: 'replace', args: ['-', '0'] }],
            },
            grabs: {
                selector: 'td:nth-child(8)',
                filters: [{ name: 'replace', args: ['-', '0'] }],
            },
            banner: {
                selector: 'td.filename div:nth-child(2) a',
                attribute: 'onmouseover',
                filters: [{ name: 'regexp', args: "src=\\\\'([^\\s\\\\]+)" }],
            },
            downloadvolumefactor: { text: 0 },
            uploadvolumefactor: { text: 1 },
        },
    },
    source: 'jackett',
};
