"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'nntt',
    name: 'NNTT',
    description: 'NNTT is a RUSSIAN Public Torrent Tracker for MOVIES / TV / GENERAL',
    language: 'ru-RU',
    type: 'public',
    encoding: 'UTF-8',
    links: [
        'http://www.nntt.org/',
        'https://nntt.black-mirror.xyz/',
        'https://nntt.unblocked.casa/',
        'https://nntt.proxyportal.fun/',
        'https://nntt.uk-unblock.xyz/',
        'https://nntt.ind-unblock.xyz/',
    ],
    caps: {
        categorymappings: [
            { id: '1', cat: 'Movies', desc: 'Кино, Видео и ТВ' },
            { id: '154', cat: 'Movies/HD', desc: 'Зарубежное кино (HD Video)' },
            {
                id: '153',
                cat: 'Movies/DVD',
                desc: 'Зарубежное кино (DVD Video)',
            },
            { id: '157', cat: 'Movies/3D', desc: 'Кино в 3D' },
            {
                id: '5',
                cat: 'Movies/SD',
                desc: 'Зарубежное кино (DVDRip, HQRip)',
            },
            {
                id: '6',
                cat: 'Movies/Foreign',
                desc: 'Наше кино (DVDRip, HQRip)',
            },
            {
                id: '235',
                cat: 'Movies/Other',
                desc: 'Мультфильмы и мультсериалы',
            },
            { id: '270', cat: 'TV', desc: 'Сериалы' },
            {
                id: '12',
                cat: 'TV/Documentary',
                desc: 'Документальные фильмы и телепередачи',
            },
            { id: '350', cat: 'TV/Anime', desc: 'Аниме' },
            { id: '824', cat: 'TV/Sport', desc: 'Спорт' },
            {
                id: '9',
                cat: 'TV/Other',
                desc: 'TV, развлекательные шоу, приколы и юмор',
            },
            { id: '758', cat: 'Audio', desc: 'Музыка' },
            { id: '943', cat: 'Audio/Lossless', desc: 'Lossless' },
            { id: '1046', cat: 'Audio/Video', desc: 'Музыкальное видео' },
            { id: '616', cat: 'Audio/Audiobook', desc: 'Аудиокниги' },
            { id: '614', cat: 'Books', desc: 'Книги' },
            { id: '617', cat: 'Books/Magazines', desc: 'Журналы' },
            { id: '488', cat: 'PC', desc: 'Программы' },
            { id: '492', cat: 'PC/Mac', desc: 'ОС и ПО для Apple Macintosh' },
            {
                id: '799',
                cat: 'PC/Phone-IOS',
                desc: 'iPhone, iPod Touch, iPad',
            },
            { id: '800', cat: 'PC/Phone-Android', desc: 'Android' },
            { id: '400', cat: 'PC/Games', desc: 'Игры' },
            { id: '748', cat: 'Console', desc: 'Консольные игры' },
            { id: '686', cat: 'XXX', desc: 'Эротика и Pron' },
            { id: '4', cat: 'Other', desc: 'HD, DVD, 3D фильмы' },
            { id: '152', cat: 'Other', desc: 'Архив (HD, DVD, 3D Video)' },
            { id: '156', cat: 'Other', desc: 'Наше кино (HD Video)' },
            { id: '155', cat: 'Other', desc: 'Наше кино (DVD Video)' },
            { id: '159', cat: 'Other', desc: 'Классика зарубежного кино' },
            { id: '160', cat: 'Other', desc: 'Азиатское кино' },
            { id: '161', cat: 'Other', desc: 'Индийское кино' },
            {
                id: '162',
                cat: 'Other',
                desc: 'Фильмы без перевода (Зарубежное кино)',
            },
            {
                id: '164',
                cat: 'Other',
                desc: 'Зарубежное кино, экранки (CamRip, TS, Screener)',
            },
            { id: '165', cat: 'Other', desc: 'Архив (Наше кино)' },
            { id: '166', cat: 'Other', desc: 'Кино СССР' },
            { id: '167', cat: 'Other', desc: 'Многосерийные фильмы СССР' },
            {
                id: '168',
                cat: 'Other',
                desc: 'Нелицензионные сборники на DVD (Наше)',
            },
            {
                id: '169',
                cat: 'Other',
                desc: 'Наше кино, экранки (CamRip, TS, Screener)',
            },
            { id: '215', cat: 'Other', desc: 'Архив (Документальные фильмы)' },
            { id: '216', cat: 'Other', desc: 'Вера, религия и мифология' },
            { id: '217', cat: 'Other', desc: 'Вокруг света' },
            {
                id: '218',
                cat: 'Other',
                desc: 'Документальные фильмы (HD & HQ Video)',
            },
            { id: '219', cat: 'Other', desc: 'Другое научно-популярное видео' },
            { id: '220', cat: 'Other', desc: 'История до XX века' },
            { id: '221', cat: 'Other', desc: 'Ищу (Документальные фильмы)' },
            { id: '222', cat: 'Other', desc: 'Криминал и преступления' },
            { id: '223', cat: 'Other', desc: 'Мировое искусство и культура' },
            { id: '224', cat: 'Other', desc: 'Новейшая история' },
            { id: '225', cat: 'Other', desc: 'О войнах, армии и оружии' },
            { id: '226', cat: 'Other', desc: 'О кинематографе' },
            { id: '227', cat: 'Other', desc: 'О музыке' },
            { id: '228', cat: 'Other', desc: 'Сверхъестественное' },
            { id: '229', cat: 'Other', desc: 'Флора и Фауна' },
            { id: '230', cat: 'Other', desc: 'Фильмы BBC' },
            { id: '231', cat: 'Other', desc: 'Фильмы Discovery' },
            { id: '232', cat: 'Other', desc: 'Фильмы National Geographic' },
            { id: '233', cat: 'Other', desc: 'IT тематика' },
            { id: '899', cat: 'Other', desc: 'Биографии. Личности' },
            { id: '900', cat: 'Other', desc: 'Космос' },
            {
                id: '901',
                cat: 'Other',
                desc: 'Концепция Общественной Безопасности',
            },
            { id: '902', cat: 'Other', desc: 'Мир вокруг нас' },
            { id: '903', cat: 'Other', desc: 'Научно-познавательные' },
            { id: '905', cat: 'Other', desc: 'Политика' },
            { id: '906', cat: 'Other', desc: 'Релакс' },
            { id: '907', cat: 'Other', desc: 'Рыбалка и охота' },
            { id: '908', cat: 'Other', desc: 'Тайны и загадки' },
            { id: '909', cat: 'Other', desc: 'Философия' },
            { id: '910', cat: 'Other', desc: 'Техника и вооружение' },
            { id: '911', cat: 'Other', desc: 'Вторая мировая война' },
            { id: '962', cat: 'Other', desc: 'Обучающее видео' },
            { id: '963', cat: 'Other', desc: 'Кулинария' },
            { id: '964', cat: 'Other', desc: 'Охота' },
            { id: '965', cat: 'Other', desc: 'Фитнес - Разум и Тело' },
            { id: '966', cat: 'Other', desc: 'Здоровье' },
            { id: '967', cat: 'Other', desc: 'Уроки музыки' },
            { id: '968', cat: 'Other', desc: 'Бизнес, экономика и финансы' },
            {
                id: '969',
                cat: 'Other',
                desc: 'Учебные видео для детей и родителей',
            },
            { id: '970', cat: 'Other', desc: 'Пикап и психология' },
            { id: '994', cat: 'Other', desc: 'Сделай сам!' },
            { id: '995', cat: 'Other', desc: 'Политика' },
            { id: '997', cat: 'Other', desc: 'Иностранные языки' },
            { id: '998', cat: 'Other', desc: 'Компьютерные видеоуроки' },
            { id: '996', cat: 'Other', desc: 'Компьютерная графика' },
            {
                id: '1028',
                cat: 'Other',
                desc: 'Компьютерные сети и безопасность',
            },
            {
                id: '1029',
                cat: 'Other',
                desc: 'ОС и серверные программы Microsoft',
            },
            { id: '1030', cat: 'Other', desc: 'Офисные программы Microsoft' },
            { id: '1031', cat: 'Other', desc: 'ОС и программы семейства UNIX' },
            { id: '1032', cat: 'Other', desc: 'Adobe Photoshop' },
            { id: '1033', cat: 'Other', desc: 'Autodesk Maya' },
            { id: '1034', cat: 'Other', desc: 'Autodesk 3ds Max' },
            { id: '1035', cat: 'Other', desc: 'Autodesk Softimage (XSI)' },
            { id: '1036', cat: 'Other', desc: 'ZBrush' },
            { id: '1037', cat: 'Other', desc: 'Flash, Flex и ActionScript' },
            {
                id: '1038',
                cat: 'Other',
                desc: 'Инженерные и научные программы',
            },
            { id: '1039', cat: 'Other', desc: 'Web-дизайн' },
            { id: '1040', cat: 'Other', desc: 'Программирование' },
            { id: '1041', cat: 'Other', desc: 'Программы для Mac OS' },
            { id: '1042', cat: 'Other', desc: 'Работа с видео' },
            { id: '1043', cat: 'Other', desc: 'Работа со звуком' },
            { id: '1045', cat: 'Other', desc: 'Разное' },
            { id: '1000', cat: 'Other', desc: 'Салон красоты' },
            { id: '1003', cat: 'Other', desc: 'Спортивные уроки' },
            { id: '1004', cat: 'Other', desc: 'Стройка и ремонт' },
            { id: '1005', cat: 'Other', desc: 'Учимся танцевать' },
            { id: '1009', cat: 'Other', desc: 'Детский раздел' },
            { id: '1010', cat: 'Other', desc: 'Детский' },
            { id: '1011', cat: 'Other', desc: 'Сериалы для детей' },
            { id: '1012', cat: 'Other', desc: 'Сказки (DVD)' },
            { id: '1013', cat: 'Other', desc: 'Детские фильмы (DVD)' },
            { id: '1014', cat: 'Other', desc: 'Музыка для детей' },
            { id: '1015', cat: 'Other', desc: 'Детские телепередачи' },
            { id: '1016', cat: 'Other', desc: 'Детские журналы' },
            { id: '1017', cat: 'Other', desc: 'Отечественные сказки' },
            { id: '1018', cat: 'Other', desc: 'Зарубежные сказки' },
            {
                id: '1019',
                cat: 'Other',
                desc: 'Детские фильмы (отечественные)',
            },
            { id: '1020', cat: 'Other', desc: 'Детские фильмы (зарубежные)' },
            { id: '1021', cat: 'Other', desc: 'Детская литература' },
            {
                id: '1022',
                cat: 'Other',
                desc: 'Детская литература (аудиокникги)',
            },
            { id: '352', cat: 'Other', desc: 'Ongoing' },
            { id: '366', cat: 'Other', desc: 'Архив (Ongoing)' },
            { id: '367', cat: 'Other', desc: 'Русская озвучка' },
            {
                id: '368',
                cat: 'Other',
                desc: 'Оригинальная озвучка + cубтитры',
            },
            { id: '353', cat: 'Other', desc: 'Аниме с русской озвучкой' },
            {
                id: '369',
                cat: 'Other',
                desc: 'Архив (Аниме с русской озвучкой)',
            },
            { id: '370', cat: 'Other', desc: 'TV' },
            { id: '371', cat: 'Other', desc: 'TV (HD Video)' },
            { id: '372', cat: 'Other', desc: 'TV (DVD Video)' },
            { id: '373', cat: 'Other', desc: 'OVA' },
            { id: '374', cat: 'Other', desc: 'OVA (HD Video)' },
            {
                id: '354',
                cat: 'Other',
                desc: 'Аниме c оригинальной озвучкой / субтитрами',
            },
            {
                id: '375',
                cat: 'Other',
                desc: 'Архив (Аниме c оригинальной озвучкой / субтитрами)',
            },
            { id: '376', cat: 'Other', desc: 'TV' },
            { id: '377', cat: 'Other', desc: 'TV (HD Video)' },
            { id: '378', cat: 'Other', desc: 'OVA' },
            { id: '379', cat: 'Other', desc: 'OVA (HD Video)' },
            { id: '355', cat: 'Other', desc: 'Полнометражное аниме' },
            { id: '380', cat: 'Other', desc: 'Архив (Полнометражное аниме)' },
            {
                id: '381',
                cat: 'Other',
                desc: 'Полнометражное аниме (DVDRip, HQRip) c русской озвучкой',
            },
            {
                id: '382',
                cat: 'Other',
                desc: 'Полнометражное аниме (HD Video) c оригинальной озвучкой',
            },
            {
                id: '383',
                cat: 'Other',
                desc: 'Полнометражное аниме (HD Video) c русской озвучкой',
            },
            {
                id: '384',
                cat: 'Other',
                desc: 'Полнометражное аниме (DVDRip, HQRip) c оригинальной озвучкой',
            },
            { id: '385', cat: 'Other', desc: 'Короткометражное аниме' },
            { id: '356', cat: 'Other', desc: 'Манга' },
            { id: '386', cat: 'Other', desc: 'Архив (Манга)' },
            { id: '387', cat: 'Other', desc: 'Хентай манга' },
            { id: '388', cat: 'Other', desc: 'Манга на русском' },
            { id: '389', cat: 'Other', desc: 'Манга на прочих языках' },
            { id: '357', cat: 'Other', desc: 'Музыка и Клипы' },
            { id: '390', cat: 'Other', desc: 'Архив (Музыка и Клипы)' },
            { id: '391', cat: 'Other', desc: 'OST' },
            { id: '392', cat: 'Other', desc: 'J-music' },
            { id: '393', cat: 'Other', desc: 'AMV и др. ролики' },
            { id: '358', cat: 'Other', desc: 'Арт' },
            { id: '394', cat: 'Other', desc: 'Архив (Арт)' },
            { id: '395', cat: 'Other', desc: 'Обои' },
            { id: '396', cat: 'Other', desc: 'Артбуки' },
            { id: '359', cat: 'Other', desc: 'Hentai' },
            { id: '397', cat: 'Other', desc: 'Архив (Hentai)' },
            { id: '398', cat: 'Other', desc: 'Hentai с русской озвучкой' },
            {
                id: '399',
                cat: 'Other',
                desc: 'Hentai с оригинальной озвучкой / субтитрами',
            },
            { id: '766', cat: 'Other', desc: 'Электронная музыка' },
            { id: '767', cat: 'Other', desc: 'Синглы и EP' },
            { id: '768', cat: 'Other', desc: 'Сборники' },
            { id: '769', cat: 'Other', desc: 'Dj-миксы и радиошоу' },
            { id: '770', cat: 'Other', desc: 'Psy/Goa trance' },
            {
                id: '771',
                cat: 'Other',
                desc: 'Chillou t / Lounge / Downtempo / Trip-Hop',
            },
            { id: '772', cat: 'Other', desc: 'Electro' },
            { id: '773', cat: 'Other', desc: 'Dance / Club' },
            { id: '774', cat: 'Other', desc: 'Techno/Minimal' },
            { id: '775', cat: 'Other', desc: 'Electro-House' },
            { id: '776', cat: 'Other', desc: 'Hardstyle' },
            { id: '777', cat: 'Other', desc: 'House' },
            { id: '778', cat: 'Other', desc: 'Trance' },
            {
                id: '779',
                cat: 'Other',
                desc: 'Drum &amp; Bass / Jungle / Breakbeat / Dubstep / IDM',
            },
            { id: '898', cat: 'Other', desc: 'Дискографии' },
            { id: '886', cat: 'Other', desc: 'Поп музыка' },
            { id: '895', cat: 'Other', desc: 'Смешанные сборники' },
            { id: '887', cat: 'Other', desc: 'Отечественная поп музыка' },
            { id: '889', cat: 'Other', desc: 'Отечественные дискографии' },
            { id: '890', cat: 'Other', desc: 'Отечественные альбомы' },
            { id: '894', cat: 'Other', desc: 'Отечественные сборники' },
            { id: '896', cat: 'Other', desc: 'Отечественные cинглы и EP' },
            { id: '888', cat: 'Other', desc: 'Зарубежная поп музыка' },
            { id: '891', cat: 'Other', desc: 'Зарубежные дискографии' },
            { id: '892', cat: 'Other', desc: 'Зарубежные альбомы' },
            { id: '893', cat: 'Other', desc: 'Зарубежные сборники' },
            { id: '897', cat: 'Other', desc: 'Зарубежные синглы и EP' },
            {
                id: '913',
                cat: 'Other',
                desc: 'Классическая и Инструментальная музыка',
            },
            { id: '914', cat: 'Other', desc: 'Инструментальная музыка' },
            {
                id: '915',
                cat: 'Other',
                desc: 'Классическая и академическая музыка',
            },
            {
                id: '916',
                cat: 'Other',
                desc: 'Классика в современной обработке',
            },
            { id: '917', cat: 'Other', desc: 'Сборники' },
            { id: '918', cat: 'Other', desc: 'Саундтреки' },
            { id: '919', cat: 'Other', desc: 'из Фильмов' },
            { id: '920', cat: 'Other', desc: 'из Мультфильмов' },
            { id: '921', cat: 'Other', desc: 'из Игр' },
            { id: '922', cat: 'Other', desc: 'из Сериалов' },
            { id: '923', cat: 'Other', desc: 'Джаз, Блюз, Соул' },
            { id: '924', cat: 'Other', desc: 'Сборники' },
            { id: '925', cat: 'Other', desc: 'Соул' },
            { id: '926', cat: 'Other', desc: 'Блюз' },
            { id: '927', cat: 'Other', desc: 'Джаз' },
            { id: '928', cat: 'Other', desc: 'Рок музыка' },
            { id: '929', cat: 'Other', desc: 'Русский рок' },
            { id: '930', cat: 'Other', desc: 'Зарубежный рок' },
            { id: '931', cat: 'Other', desc: 'Смешанные сборники' },
            { id: '934', cat: 'Other', desc: 'Шансон, Авторская песня' },
            { id: '939', cat: 'Other', desc: 'Сборники' },
            { id: '935', cat: 'Other', desc: "Rap, Hip-hop, R'n'B" },
            {
                id: '936',
                cat: 'Other',
                desc: "Отечественный Rap, Hip-hop, R'n'B",
            },
            { id: '937', cat: 'Other', desc: "Зарубежный Rap, Hip-hop, R'n'B" },
            { id: '940', cat: 'Other', desc: 'Сборники' },
            { id: '938', cat: 'Other', desc: 'Минусовки' },
            { id: '1023', cat: 'Other', desc: 'Reggae, Ska' },
            { id: '955', cat: 'Other', desc: 'Рок, Панк, Метал, Альтернатива' },
            {
                id: '949',
                cat: 'Other',
                desc: 'Дискографии (Рок, Панк, Метал, Альтернатива)',
            },
            { id: '959', cat: 'Other', desc: 'Электронная музыка' },
            {
                id: '948',
                cat: 'Other',
                desc: 'Дискографии (Электронная музыка)',
            },
            { id: '952', cat: 'Other', desc: 'Классическая музыка' },
            { id: '953', cat: 'Other', desc: 'Поп музыка' },
            { id: '947', cat: 'Other', desc: 'Дискографии (Поп музыка)' },
            { id: '954', cat: 'Other', desc: "Rap, Hip-hop, R'n'B" },
            {
                id: '945',
                cat: 'Other',
                desc: "Дискографии (Rap, Hip-hop, R'n'B)",
            },
            { id: '950', cat: 'Other', desc: 'Джаз, Блюз, Соул' },
            { id: '944', cat: 'Other', desc: 'Дискографии (Джаз, Блюз, Соул)' },
            { id: '958', cat: 'Other', desc: 'Шансон' },
            { id: '946', cat: 'Other', desc: 'Дискографии (Шансон)' },
            { id: '957', cat: 'Other', desc: 'Саундтреки' },
            { id: '956', cat: 'Other', desc: 'Сборники' },
            { id: '951', cat: 'Other', desc: 'Другие жанры' },
            { id: '402', cat: 'Other', desc: 'Общение на тему игр' },
            { id: '1054', cat: 'Other', desc: 'Горячие новинки' },
            { id: '403', cat: 'Other', desc: 'Action' },
            { id: '427', cat: 'Other', desc: 'Counter-Strike' },
            { id: '600', cat: 'Other', desc: 'Архив (Counter-Strike)' },
            { id: '601', cat: 'Other', desc: 'Карты' },
            { id: '602', cat: 'Other', desc: 'Серверы' },
            { id: '603', cat: 'Other', desc: 'Моды' },
            { id: '404', cat: 'Other', desc: 'Strategy (Стратегии)' },
            { id: '405', cat: 'Other', desc: 'RPG (Ролевые игры)' },
            { id: '406', cat: 'Other', desc: 'Симуляторы' },
            { id: '435', cat: 'Other', desc: 'Архив (Симуляторы)' },
            { id: '436', cat: 'Other', desc: 'Авто и мотосимуляторы' },
            { id: '437', cat: 'Other', desc: 'Спортивные' },
            { id: '438', cat: 'Other', desc: 'Авиасимуляторы' },
            { id: '407', cat: 'Other', desc: 'Многопользовательские игры' },
            {
                id: '439',
                cat: 'Other',
                desc: 'Архив (Многопользовательские игры)',
            },
            { id: '440', cat: 'Other', desc: 'Бета-тестирование' },
            {
                id: '441',
                cat: 'Other',
                desc: 'Обновления для Многопользовательских игр',
            },
            { id: '442', cat: 'Other', desc: 'World of Warcraft' },
            { id: '443', cat: 'Other', desc: 'LineAge' },
            { id: '444', cat: 'Other', desc: 'Ragnarok' },
            { id: '445', cat: 'Other', desc: 'Браузерные и маленькие игры' },
            { id: '446', cat: 'Other', desc: 'Social Type' },
            { id: '447', cat: 'Other', desc: 'Прочие бесплатные' },
            { id: '448', cat: 'Other', desc: 'Прочие платные' },
            { id: '408', cat: 'Other', desc: 'Приключения и квесты' },
            { id: '409', cat: 'Other', desc: 'Аркада' },
            { id: '450', cat: 'Other', desc: 'Архив (Аркада)' },
            { id: '410', cat: 'Other', desc: 'Казуальные и мини-игры' },
            { id: '451', cat: 'Other', desc: 'Архив (Казуальные и мини-игры)' },
            {
                id: '452',
                cat: 'Other',
                desc: 'Я ищу (Hidden Objects) / Квесты (Quests)',
            },
            {
                id: '453',
                cat: 'Other',
                desc: 'Тайм-Менеджмент (Time-Management)',
            },
            { id: '454', cat: 'Other', desc: 'Три в Ряд (Match-3)' },
            { id: '455', cat: 'Other', desc: 'Аркада' },
            { id: '456', cat: 'Other', desc: 'Зума-игры (Zuma)' },
            { id: '457', cat: 'Other', desc: 'Логические (Puzzle)' },
            { id: '458', cat: 'Other', desc: 'Стратегии / Симуляторы' },
            { id: '411', cat: 'Other', desc: 'Другие игры' },
            { id: '459', cat: 'Other', desc: 'Архив (Другие игры)' },
            { id: '460', cat: 'Other', desc: 'Детские игры' },
            { id: '461', cat: 'Other', desc: 'Азартные игры' },
            { id: '462', cat: 'Other', desc: 'Эротические игры' },
            { id: '463', cat: 'Other', desc: 'Прочие' },
            { id: '1007', cat: 'Other', desc: 'Демо версии' },
            { id: '414', cat: 'Other', desc: 'Игры для других ОС' },
            { id: '471', cat: 'Other', desc: 'Архив (Игры для других ОС)' },
            { id: '912', cat: 'Other', desc: 'Игры для Linux' },
            { id: '413', cat: 'Other', desc: 'Модификации и Дополнения' },
            { id: '415', cat: 'Other', desc: 'Сопутствующий играм контент' },
            {
                id: '472',
                cat: 'Other',
                desc: 'Архив (Сопутствующий играм контент)',
            },
            { id: '473', cat: 'Other', desc: 'Патчи' },
            { id: '474', cat: 'Other', desc: 'Демо и Бета-версии игр' },
            { id: '475', cat: 'Other', desc: 'Таблетки к играм' },
            { id: '476', cat: 'Other', desc: 'Русификаторы' },
            { id: '477', cat: 'Other', desc: 'Программы для игр' },
            { id: '416', cat: 'Other', desc: 'Игрострой' },
            { id: '478', cat: 'Other', desc: 'Архив (Игрострой)' },
            { id: '417', cat: 'Other', desc: 'Игровое видео' },
            { id: '479', cat: 'Other', desc: 'Архив (Игровое видео)' },
            { id: '480', cat: 'Other', desc: 'Трейлеры к играм для PC' },
            { id: '481', cat: 'Other', desc: 'GamePlay Video' },
            { id: '482', cat: 'Other', desc: 'Видеообзоры и телепередачи' },
            { id: '483', cat: 'Other', desc: 'Counter-Strike Video' },
            { id: '484', cat: 'Other', desc: 'Online Game Video' },
            { id: '485', cat: 'Other', desc: 'Игровые приколы и юмор' },
            { id: '486', cat: 'Other', desc: 'Обучающее видео и воды' },
            { id: '487', cat: 'Other', desc: 'Видео консольных игр' },
            { id: '754', cat: 'Other', desc: 'Xbox360' },
            { id: '752', cat: 'Other', desc: 'PS3' },
            { id: '753', cat: 'Other', desc: 'Xbox' },
            { id: '751', cat: 'Other', desc: 'PS2' },
            { id: '750', cat: 'Other', desc: 'PlayStation' },
            { id: '756', cat: 'Other', desc: 'Nintendo WII' },
            { id: '757', cat: 'Other', desc: 'PSP' },
            { id: '755', cat: 'Other', desc: 'Другие консоли' },
            { id: '749', cat: 'Other', desc: 'Софт для консолей' },
            { id: '615', cat: 'Other', desc: 'Книги' },
            { id: '618', cat: 'Other', desc: 'Библиотеки' },
            { id: '619', cat: 'Other', desc: 'Детективы, триллер, боевик' },
            { id: '620', cat: 'Other', desc: 'Изучение иностранных языков' },
            { id: '621', cat: 'Other', desc: 'Историческая литература' },
            { id: '622', cat: 'Other', desc: 'Научно-популярная литература' },
            { id: '623', cat: 'Other', desc: 'Классика мировой литературы' },
            {
                id: '624',
                cat: 'Other',
                desc: 'Компьютерная литература, программирование',
            },
            { id: '625', cat: 'Other', desc: 'Кулинария' },
            { id: '626', cat: 'Other', desc: 'Литература без перевода' },
            { id: '627', cat: 'Other', desc: 'Любовные романы' },
            { id: '628', cat: 'Other', desc: 'Медицина и здоровье' },
            { id: '629', cat: 'Other', desc: 'Обучение и развитие детей' },
            { id: '630', cat: 'Other', desc: 'Поэзия' },
            {
                id: '631',
                cat: 'Other',
                desc: 'Многоавторские сборники, серии книг',
            },
            { id: '632', cat: 'Other', desc: 'Психология, философия' },
            { id: '633', cat: 'Other', desc: 'Публицистика' },
            { id: '634', cat: 'Other', desc: 'Путешествия, приключения' },
            { id: '635', cat: 'Other', desc: 'Разное' },
            { id: '636', cat: 'Other', desc: 'Современная проза' },
            { id: '637', cat: 'Other', desc: 'Техническая литература' },
            {
                id: '639',
                cat: 'Other',
                desc: 'Учебники, справочники, энциклопедии',
            },
            { id: '640', cat: 'Other', desc: 'Хобби' },
            { id: '641', cat: 'Other', desc: 'Собрания сочинений' },
            { id: '642', cat: 'Other', desc: 'Фантастика, фентези, мистика' },
            { id: '643', cat: 'Other', desc: 'Экономика и бизнес-литература' },
            {
                id: '1026',
                cat: 'Other',
                desc: 'Эзотерика, гадания, магия, фен-шуй',
            },
            { id: '1027', cat: 'Other', desc: 'Спорт' },
            {
                id: '644',
                cat: 'Other',
                desc: 'Историческая литература, биографии и мемуары',
            },
            { id: '645', cat: 'Other', desc: 'Отечественная Классика' },
            { id: '646', cat: 'Other', desc: 'Мировая Классика' },
            { id: '647', cat: 'Other', desc: 'Аудио учебники' },
            { id: '648', cat: 'Other', desc: 'Бизнес-литература' },
            { id: '649', cat: 'Other', desc: 'Детективы и боевики' },
            { id: '651', cat: 'Other', desc: 'Изучение иностранных языков' },
            { id: '652', cat: 'Other', desc: 'Любовные романы' },
            { id: '653', cat: 'Other', desc: 'Мировая проза ХХ века' },
            { id: '654', cat: 'Other', desc: 'Научно-популярная аудиокнига' },
            { id: '655', cat: 'Other', desc: 'Отечественная проза ХХ века' },
            { id: '656', cat: 'Other', desc: 'Поэзия' },
            { id: '657', cat: 'Other', desc: 'Проза III тысячелетия' },
            {
                id: '658',
                cat: 'Other',
                desc: 'Аудиокниги на иностранных языках',
            },
            { id: '659', cat: 'Other', desc: 'Психология и философия' },
            { id: '660', cat: 'Other', desc: 'Путешествия и приключения' },
            { id: '661', cat: 'Other', desc: 'Радиоспектакли и аудиофильмы' },
            { id: '662', cat: 'Other', desc: 'Ужасы и Мистика' },
            { id: '663', cat: 'Other', desc: 'Фантастика и фэнтези' },
            { id: '664', cat: 'Other', desc: 'Юмор' },
            { id: '665', cat: 'Other', desc: 'Аудиокниги для Apple' },
            { id: '666', cat: 'Other', desc: 'Разное' },
            { id: '667', cat: 'Other', desc: 'Авто и мото' },
            { id: '668', cat: 'Other', desc: 'Наука, техника' },
            { id: '669', cat: 'Other', desc: 'Игровые журналы' },
            { id: '670', cat: 'Other', desc: 'Digital Photo' },
            { id: '671', cat: 'Other', desc: 'Мужские журналы' },
            { id: '672', cat: 'Other', desc: 'Компьютерные журналы' },
            { id: '673', cat: 'Other', desc: 'CD / DVD к журналам' },
            { id: '674', cat: 'Other', desc: 'Строительство, дизайн и ремонт' },
            { id: '675', cat: 'Other', desc: 'Спорт' },
            {
                id: '676',
                cat: 'Other',
                desc: 'Женские журналы (мода, остальные женские журналы)',
            },
            { id: '677', cat: 'Other', desc: 'Мир кулинарии (кулинария)' },
            {
                id: '678',
                cat: 'Other',
                desc: 'Мир рукоделия (вязание, рукоделие, шитье)',
            },
            { id: '679', cat: 'Other', desc: 'Комиксы' },
            { id: '680', cat: 'Other', desc: 'Кино / Музыка' },
            {
                id: '681',
                cat: 'Other',
                desc: 'Разное (путешествия, хобби, прочее)',
            },
            { id: '838', cat: 'Other', desc: 'Легенды спорта' },
            { id: '825', cat: 'Other', desc: 'Футбол' },
            { id: '826', cat: 'Other', desc: 'Россия' },
            { id: '827', cat: 'Other', desc: 'Германия' },
            { id: '828', cat: 'Other', desc: 'Италия' },
            { id: '829', cat: 'Other', desc: 'Испания' },
            { id: '830', cat: 'Other', desc: 'Англия' },
            {
                id: '831',
                cat: 'Other',
                desc: 'Мини-футбол, пляжный футбол, футзал',
            },
            {
                id: '832',
                cat: 'Other',
                desc: 'Обзорные и аналитические передачи',
            },
            { id: '833', cat: 'Other', desc: 'Товарищеские турниры и матчи' },
            { id: '834', cat: 'Other', desc: 'Чемпионат Мира и Европы' },
            { id: '835', cat: 'Other', desc: 'Еврокубки' },
            {
                id: '836',
                cat: 'Other',
                desc: 'Другие национальные чемпионаты и кубки',
            },
            { id: '837', cat: 'Other', desc: 'Футбольное видео' },
            { id: '839', cat: 'Other', desc: 'Авто / мотоспорт' },
            { id: '862', cat: 'Other', desc: 'Дакар' },
            { id: '863', cat: 'Other', desc: 'Велоспорт / Мотоспорт' },
            { id: '864', cat: 'Other', desc: 'Остальной автоспорт' },
            {
                id: '865',
                cat: 'Other',
                desc: 'Обзорные и аналитические передачи, видеоклипы и т.д.',
            },
            { id: '840', cat: 'Other', desc: 'Баскетбол' },
            { id: '866', cat: 'Other', desc: 'NBA' },
            { id: '867', cat: 'Other', desc: 'Чемпионат России по баскетболу' },
            { id: '868', cat: 'Other', desc: 'Европейский клубный баскетбол' },
            { id: '869', cat: 'Other', desc: 'Женский баскетбол' },
            {
                id: '870',
                cat: 'Other',
                desc: 'Обзорные и аналитические передачи, видиоклипы и т.д.',
            },
            { id: '841', cat: 'Other', desc: 'Хоккей' },
            { id: '871', cat: 'Other', desc: 'NHL' },
            { id: '872', cat: 'Other', desc: 'KХЛ' },
            { id: '873', cat: 'Other', desc: 'Европейские клубные чемпионаты' },
            { id: '874', cat: 'Other', desc: 'Чемпионаты мира' },
            { id: '875', cat: 'Other', desc: 'Хоккей с мячом' },
            { id: '876', cat: 'Other', desc: 'Международные турниры' },
            {
                id: '877',
                cat: 'Other',
                desc: 'Обзорные и аналитические передачи',
            },
            { id: '842', cat: 'Other', desc: 'Боевые искусства' },
            { id: '878', cat: 'Other', desc: 'Бокс' },
            { id: '879', cat: 'Other', desc: 'Ножевой бой' },
            { id: '880', cat: 'Other', desc: 'Каратэ' },
            { id: '881', cat: 'Other', desc: 'Дзюдо и самбо' },
            { id: '882', cat: 'Other', desc: 'Вин чунь' },
            { id: '883', cat: 'Other', desc: 'Айкидо' },
            { id: '884', cat: 'Other', desc: 'Рукопашный бой' },
            { id: '843', cat: 'Other', desc: 'Остальные виды спорта' },
            { id: '844', cat: 'Other', desc: 'Биатлон' },
            { id: '845', cat: 'Other', desc: 'Бодибилдинг' },
            { id: '846', cat: 'Other', desc: 'Бокс / Смешанные единоборства' },
            { id: '847', cat: 'Other', desc: 'Зимние виды спорта' },
            { id: '848', cat: 'Other', desc: 'Олимпиады' },
            { id: '849', cat: 'Other', desc: 'Рестлинг' },
            { id: '850', cat: 'Other', desc: 'Теннис' },
            { id: '851', cat: 'Other', desc: 'Формула-1' },
            { id: '852', cat: 'Other', desc: 'Экстрим' },
            { id: '853', cat: 'Other', desc: 'Американский футбол' },
            { id: '854', cat: 'Other', desc: 'Гандбол' },
            { id: '855', cat: 'Other', desc: 'Покер' },
            { id: '856', cat: 'Other', desc: 'Легкая атлетика' },
            { id: '857', cat: 'Other', desc: 'Бильярд' },
            { id: '858', cat: 'Other', desc: 'Бейсбол' },
            { id: '859', cat: 'Other', desc: 'Тяжёлая атлетика' },
            { id: '860', cat: 'Other', desc: 'Гимнастика' },
            {
                id: '861',
                cat: 'Other',
                desc: 'Не вошедшие остальные виды спорта',
            },
            {
                id: '490',
                cat: 'Other',
                desc: 'Операционные системы от Microsoft',
            },
            {
                id: '501',
                cat: 'Other',
                desc: 'Архив (Операционные системы от Microsoft)',
            },
            { id: '502', cat: 'Other', desc: 'Windows 8' },
            { id: '503', cat: 'Other', desc: 'Windows 7' },
            { id: '504', cat: 'Other', desc: 'Windows Vista' },
            { id: '505', cat: 'Other', desc: 'Windows XP' },
            { id: '506', cat: 'Other', desc: 'Серверные ОС от Microsoft' },
            {
                id: '507',
                cat: 'Other',
                desc: 'Патчи, дополнения для ОС от Microsoft',
            },
            { id: '508', cat: 'Other', desc: 'Изменение интерфейса' },
            { id: '509', cat: 'Other', desc: 'Активаторы (Windows)' },
            { id: '510', cat: 'Other', desc: 'Разное (Windows)' },
            {
                id: '491',
                cat: 'Other',
                desc: 'Операционные системы и ПО для Apple Macintosh',
            },
            { id: '511', cat: 'Other', desc: 'Архив (Apple Macintosh)' },
            { id: '512', cat: 'Other', desc: 'Mac OS (для Macintosh)' },
            { id: '513', cat: 'Other', desc: 'Mac OS (для РС-Хакинтош)' },
            {
                id: '514',
                cat: 'Other',
                desc: 'Программы для просмотра и обработки видео Mac OS',
            },
            {
                id: '515',
                cat: 'Other',
                desc: 'Программы для создания и обработки графики Mac OS',
            },
            {
                id: '516',
                cat: 'Other',
                desc: 'Аудио редакторы и конверторы для Mac OS',
            },
            { id: '517', cat: 'Other', desc: 'Системные программы для Mac OS' },
            { id: '518', cat: 'Other', desc: 'Другие программы для Mac OS' },
            {
                id: '519',
                cat: 'Other',
                desc: 'Архив (Linux, Unix и другие ОС)',
            },
            { id: '520', cat: 'Other', desc: 'Операционные системы' },
            { id: '521', cat: 'Other', desc: 'Программное обеспечение' },
            { id: '522', cat: 'Other', desc: 'Другие ОС и ПО под них' },
            {
                id: '493',
                cat: 'Other',
                desc: 'Веб-разработка и Программирование',
            },
            {
                id: '523',
                cat: 'Other',
                desc: 'Архив (Веб-разработка и Программирование)',
            },
            {
                id: '524',
                cat: 'Other',
                desc: 'Среды программирования, компиляторы и вспомогательные программы',
            },
            {
                id: '525',
                cat: 'Other',
                desc: 'Компоненты для сред программирования',
            },
            {
                id: '526',
                cat: 'Other',
                desc: 'Системы управления базами данных',
            },
            { id: '527', cat: 'Other', desc: 'Текстовые редакторы' },
            { id: '528', cat: 'Other', desc: 'Скрипты и шаблоны' },
            { id: '529', cat: 'Other', desc: 'Веб-разработка' },
            {
                id: '746',
                cat: 'Other',
                desc: 'Скрипты и движки сайтов, CMS а также расширения к ним',
            },
            {
                id: '530',
                cat: 'Other',
                desc: 'Разное (Веб-разработка и программирование)',
            },
            { id: '494', cat: 'Other', desc: 'Системные программы' },
            { id: '531', cat: 'Other', desc: 'Архив (Системные программы)' },
            {
                id: '532',
                cat: 'Other',
                desc: 'Ключи и обновления для антивирусов и других системных программ',
            },
            { id: '533', cat: 'Other', desc: 'Настройка и оптимизация ОС' },
            { id: '534', cat: 'Other', desc: 'Резервное копирование' },
            {
                id: '535',
                cat: 'Other',
                desc: 'Архиваторы и файловые менеджеры',
            },
            {
                id: '536',
                cat: 'Other',
                desc: 'Сервисное обслуживание компьютера',
            },
            { id: '537', cat: 'Other', desc: 'Сборники программ' },
            { id: '538', cat: 'Other', desc: 'Работа с носителями информации' },
            { id: '539', cat: 'Other', desc: 'Программы для интернет и сетей' },
            { id: '540', cat: 'Other', desc: 'Информация и диагностика' },
            { id: '541', cat: 'Other', desc: 'Антивирусы' },
            { id: '542', cat: 'Other', desc: 'Файерволы' },
            { id: '543', cat: 'Other', desc: 'Анти-шпионы и анти-трояны' },
            {
                id: '544',
                cat: 'Other',
                desc: 'Программы для защиты информации',
            },
            { id: '545', cat: 'Other', desc: 'Серверное ПО' },
            {
                id: '546',
                cat: 'Other',
                desc: 'Разное (Системные программы под Windows)',
            },
            {
                id: '495',
                cat: 'Other',
                desc: 'Системы для бизнеса, офиса, научной и проектной работы',
            },
            { id: '547', cat: 'Other', desc: 'Архив (Системы)' },
            { id: '548', cat: 'Other', desc: 'Офисные системы' },
            { id: '549', cat: 'Other', desc: 'Системы для бизнеса' },
            { id: '550', cat: 'Other', desc: 'Медицинский софт' },
            { id: '551', cat: 'Other', desc: 'Системы для научной работы' },
            { id: '552', cat: 'Other', desc: 'Словари, переводчики' },
            { id: '553', cat: 'Other', desc: 'Прочие справочные системы' },
            { id: '554', cat: 'Other', desc: 'Разное' },
            { id: '555', cat: 'Other', desc: 'САПР' },
            {
                id: '496',
                cat: 'Other',
                desc: 'Программы для работы с мультимедиа и 3D',
            },
            {
                id: '556',
                cat: 'Other',
                desc: 'Архив (Программы для работы с мультимедиа и 3D)',
            },
            {
                id: '557',
                cat: 'Other',
                desc: '3D моделирование, рендеринг и плагины для них',
            },
            { id: '558', cat: 'Other', desc: 'Анимация' },
            { id: '559', cat: 'Other', desc: 'Видео- Аудио- конверторы' },
            { id: '560', cat: 'Other', desc: 'Графические редакторы' },
            {
                id: '561',
                cat: 'Other',
                desc: 'Программы для архитекторов и дизайнеров интерьеров',
            },
            { id: '562', cat: 'Other', desc: 'Работа со звуком' },
            { id: '563', cat: 'Other', desc: 'Редакторы видео' },
            { id: '564', cat: 'Other', desc: 'Работа с PDF и DjVu' },
            {
                id: '565',
                cat: 'Other',
                desc: 'Программы для верстки, печати и работы со шрифтами',
            },
            {
                id: '566',
                cat: 'Other',
                desc: 'Аудио- и видео-, CD- проигрыватели и каталогизаторы',
            },
            {
                id: '567',
                cat: 'Other',
                desc: 'Каталогизаторы и просмотрщики графики',
            },
            {
                id: '568',
                cat: 'Other',
                desc: 'Разное (Программы для работы с мультимедиа и 3D)',
            },
            {
                id: '497',
                cat: 'Other',
                desc: 'Материалы для мультимедиа и дизайна',
            },
            {
                id: '569',
                cat: 'Other',
                desc: 'Архив (Материалы для мультимедиа и дизайна)',
            },
            { id: '570', cat: 'Other', desc: 'Текстуры и материалы' },
            { id: '571', cat: 'Other', desc: '3D модели и сцены' },
            { id: '572', cat: 'Other', desc: 'Photostoсks' },
            {
                id: '573',
                cat: 'Other',
                desc: 'Заготовки, виньетки, рамки, костюмы',
            },
            { id: '574', cat: 'Other', desc: 'Стили, кисти, формы и узоры' },
            { id: '575', cat: 'Other', desc: 'Футажи' },
            { id: '576', cat: 'Other', desc: 'Шрифты' },
            {
                id: '577',
                cat: 'Other',
                desc: 'Библиотеки сэмплов и Звуковые эффекты',
            },
            { id: '578', cat: 'Other', desc: 'Векторные клипарты' },
            { id: '579', cat: 'Other', desc: 'Растровые клипарты' },
            {
                id: '580',
                cat: 'Other',
                desc: 'Разное (Материалы для мультимедиа и дизайна)',
            },
            {
                id: '498',
                cat: 'Other',
                desc: 'Географические информационные системы (ГИС)',
            },
            {
                id: '581',
                cat: 'Other',
                desc: 'Географические информационные системы (ГИС)(Архив)',
            },
            { id: '499', cat: 'Other', desc: 'Драйверы' },
            { id: '582', cat: 'Other', desc: 'Архив (Драйверы)' },
            { id: '583', cat: 'Other', desc: 'Ноутбуки (Драйверы)' },
            {
                id: '584',
                cat: 'Other',
                desc: 'Сетевое оборудование (Драйверы)',
            },
            {
                id: '585',
                cat: 'Other',
                desc: 'Клавиатуры, мыши, джойстики (Драйверы)',
            },
            { id: '586', cat: 'Other', desc: 'Звуковые карты (Драйверы)' },
            { id: '587', cat: 'Other', desc: 'Видеокарты (Драйверы)' },
            { id: '588', cat: 'Other', desc: 'Материнские платы (Драйверы)' },
            { id: '589', cat: 'Other', desc: 'DirectX' },
            {
                id: '590',
                cat: 'Other',
                desc: 'Принтеры и МФУ, Сканеры (Драйверы)',
            },
            { id: '591', cat: 'Other', desc: 'Drivers MegaPack' },
            { id: '592', cat: 'Other', desc: 'Другие (Драйверы)' },
            { id: '500', cat: 'Other', desc: 'Разное' },
            {
                id: '593',
                cat: 'Other',
                desc: 'Архив (Программы&gt;&gt;Разное)',
            },
            { id: '594', cat: 'Other', desc: 'Скринсейверы' },
            { id: '595', cat: 'Other', desc: 'Картины, Фотографии, Искусство' },
            { id: '596', cat: 'Other', desc: 'Обои' },
            { id: '597', cat: 'Other', desc: 'Фото знаменитостей' },
            { id: '598', cat: 'Other', desc: 'Картинки' },
            { id: '599', cat: 'Other', desc: 'Аватары, Иконки, Смайлы' },
            { id: '797', cat: 'Other', desc: 'Всё для мобильных платформ' },
            { id: '808', cat: 'Other', desc: 'Игры' },
            { id: '809', cat: 'Other', desc: 'Приложения' },
            { id: '810', cat: 'Other', desc: 'Мультимедиа' },
            { id: '811', cat: 'Other', desc: 'Разное' },
            { id: '812', cat: 'Other', desc: 'Игры' },
            { id: '813', cat: 'Other', desc: 'Приложения' },
            { id: '801', cat: 'Other', desc: 'Windows Mobile' },
            { id: '814', cat: 'Other', desc: 'Игры' },
            { id: '815', cat: 'Other', desc: 'Приложения' },
            { id: '802', cat: 'Other', desc: 'Symbian' },
            { id: '816', cat: 'Other', desc: 'Игры' },
            { id: '817', cat: 'Other', desc: 'Приложения' },
            { id: '803', cat: 'Other', desc: 'Java' },
            { id: '818', cat: 'Other', desc: 'Игры' },
            { id: '819', cat: 'Other', desc: 'Приложения' },
            { id: '805', cat: 'Other', desc: 'Системы навигации и карты' },
            { id: '807', cat: 'Other', desc: 'Разное' },
            { id: '820', cat: 'Other', desc: 'Темы' },
            { id: '821', cat: 'Other', desc: 'Видео' },
            { id: '822', cat: 'Other', desc: 'Звуки' },
            { id: '823', cat: 'Other', desc: 'Картинки' },
            { id: '1008', cat: 'Other', desc: 'Pron' },
            {
                id: '687',
                cat: 'Other',
                desc: 'Общение и Обсуждение порноиндустрии',
            },
            {
                id: '694',
                cat: 'Other',
                desc: "Правила, Инструкции, FAQ-и / Rules &amp; FAQ's",
            },
            { id: '695', cat: 'Other', desc: 'Общение' },
            { id: '696', cat: 'Other', desc: 'Актеры' },
            { id: '697', cat: 'Other', desc: 'Ищу' },
            {
                id: '688',
                cat: 'Other',
                desc: 'Зарубежные порнофильмы / Full Length Movies',
            },
            {
                id: '698',
                cat: 'Other',
                desc: 'Паки полных фильмов / Full Length Movies Packs',
            },
            {
                id: '699',
                cat: 'Other',
                desc: '101 Величайший Порно Фильм 20 Века',
            },
            { id: '700', cat: 'Other', desc: 'Самые популярные / Bestseller' },
            { id: '701', cat: 'Other', desc: 'Классические фильмы / Classic' },
            {
                id: '702',
                cat: 'Other',
                desc: 'Фильмы с сюжетом / Feature &amp; Vignettes',
            },
            { id: '703', cat: 'Other', desc: 'Гонзо-фильмы / Gonzo' },
            {
                id: '704',
                cat: 'Other',
                desc: 'Зарубежный Pron (DVD, HD Video)',
            },
            {
                id: '705',
                cat: 'Other',
                desc: 'Фильмы без сюжета / All Sex &amp; Amateur',
            },
            {
                id: '706',
                cat: 'Other',
                desc: 'Лесбо-фильмы / All Girl &amp; Solo',
            },
            {
                id: '707',
                cat: 'Other',
                desc: 'Этнические фильмы / Ethnic-Themed',
            },
            { id: '708', cat: 'Other', desc: 'Японские фильмы / Japan' },
            { id: '709', cat: 'Other', desc: 'Архив (Зарубежные порнофильмы)' },
            { id: '689', cat: 'Other', desc: 'Зарубежные порноролики / Clips' },
            {
                id: '710',
                cat: 'Other',
                desc: "Паки сайтрипов / SiteRip's Packs",
            },
            {
                id: '711',
                cat: 'Other',
                desc: 'Паки порнороликов по актрисам / Actresses Clips Packs',
            },
            { id: '713', cat: 'Other', desc: "Сайтрипы / SiteRip's" },
            {
                id: '714',
                cat: 'Other',
                desc: 'Сцены из фильмов / Movie Scenes',
            },
            {
                id: '715',
                cat: 'Other',
                desc: 'Порноролики Разное / Clips (various)',
            },
            { id: '716', cat: 'Other', desc: 'Архив (Зарубежные порноролики)' },
            { id: '690', cat: 'Other', desc: 'Русское порно / Russian Video' },
            { id: '712', cat: 'Other', desc: 'HD Video ролики / HD Clips' },
            {
                id: '721',
                cat: 'Other',
                desc: 'Русские Порноролики Разное / Russian Clips (various)',
            },
            {
                id: '722',
                cat: 'Other',
                desc: 'Русское Любительское Видео / Russian Amateur Video',
            },
            {
                id: '717',
                cat: 'Other',
                desc: 'Русские Порнофильмы / Russian Full Length Movies',
            },
            {
                id: '718',
                cat: 'Other',
                desc: 'Паки русских порнороликов / Russian Clips Packs',
            },
            { id: '719', cat: 'Other', desc: 'HD Фильмы и ролики' },
            {
                id: '720',
                cat: 'Other',
                desc: "Сцены из фильмов и Сайтрипы с русскими актрисами / Russian Movie Scenes &amp; SiteRip's",
            },
            {
                id: '691',
                cat: 'Other',
                desc: 'Эротические студии и фото, журналы и комиксы',
            },
            {
                id: '725',
                cat: 'Other',
                desc: 'Фотографии в высоком качестве / Foto High Quality',
            },
            {
                id: '726',
                cat: 'Other',
                desc: 'Любительское фото / Amateur Picture Gallery',
            },
            {
                id: '727',
                cat: 'Other',
                desc: 'Подборки по актрисам / Actresses Picture Packs',
            },
            {
                id: '728',
                cat: 'Other',
                desc: "Подборки сайтрипов / SiteRip's Picture Packs",
            },
            {
                id: '729',
                cat: 'Other',
                desc: 'Фото Разное / Picture Gallery (various)',
            },
            {
                id: '730',
                cat: 'Other',
                desc: 'Журналы, комиксы, манга и рисунки / Magazines, Comics, Manga and Artwork',
            },
            {
                id: '731',
                cat: 'Other',
                desc: 'Тематическое и нетрадиционное фото / Misc &amp; Special Interest Picture Packs',
            },
            {
                id: '732',
                cat: 'Other',
                desc: 'Архив (Эротические студии и фото, журналы и комиксы)',
            },
            { id: '692', cat: 'Other', desc: 'Обучающие материалы' },
            { id: '733', cat: 'Other', desc: 'Обучающие материалы (Pron)' },
            { id: '734', cat: 'Other', desc: 'Нудизм-Натуризм / Nudity' },
            { id: '735', cat: 'Other', desc: 'Мультфильмы / Cartoons' },
            { id: '736', cat: 'Other', desc: 'Архив (Обучающие материалы)' },
            { id: '693', cat: 'Other', desc: 'Нетрадиционное порно' },
            { id: '737', cat: 'Other', desc: 'Транссексуалы / Transsexual' },
            { id: '738', cat: 'Other', desc: 'БДСМ / BDSM' },
            { id: '739', cat: 'Other', desc: 'Бисексуалы / Bisexual' },
            {
                id: '740',
                cat: 'Other',
                desc: 'Женское доминирование и страпон / Femdom &amp; Strapon',
            },
            { id: '741', cat: 'Other', desc: 'Подглядывание / Voyeur' },
            { id: '742', cat: 'Other', desc: 'Архив (Нетрадиционное порно)' },
            { id: '743', cat: 'Other', desc: 'Разное' },
            { id: '744', cat: 'Other', desc: 'Bukkake, Peeing' },
            { id: '1055', cat: 'Other', desc: 'Эротика' },
            { id: '762', cat: 'Other', desc: 'Разное' },
            { id: '763', cat: 'Other', desc: 'Тестовый раздел (для новичков)' },
        ],
        modes: { search: ['q'] },
    },
    settings: [
        {
            name: 'sort',
            type: 'select',
            label: 'Sort requested from site',
            default: 't',
            options: { t: 'created', ts: 'seeders', sz: 'size', i: 'title' },
        },
        {
            name: 'type',
            type: 'select',
            label: 'Order requested from site',
            default: 'd',
            options: { d: 'desc', a: 'asc' },
        },
    ],
    download: {
        selector: 'a[href^="./download/file.php?id="]',
        attribute: 'href',
    },
    search: {
        paths: [{ path: 'search.php' }],
        inputs: {
            sr: 'topics',
            sf: 'titleonly',
            fp: 1,
            tracker_search: 'torrent',
            sk: '{{ .Config.sort }}',
            sd: '{{ .Config.type }}',
            keywords: '{{ if .Keywords }}{{ .Keywords }}{{else}}2019{{end}}',
            $raw: '{{ range .Categories }}&fid[]={{.}}{{end}}',
        },
        rows: { selector: 'table.tablebg tr.col_line' },
        fields: {
            category: {
                selector: 'a[href^="./viewtopic.php?f="]',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'f' }],
            },
            title: { selector: 'a.topictitle' },
            details: { selector: 'a.topictitle', attribute: 'href' },
            download: { selector: 'a.topictitle', attribute: 'href' },
            size: {
                selector: 'td:nth-of-type(5) p',
                filters: [
                    { name: 'replace', args: ['ТБ', 'TB'] },
                    { name: 'replace', args: ['ГБ', 'GB'] },
                    { name: 'replace', args: ['МБ', 'MB'] },
                    { name: 'replace', args: ['КБ', 'KB'] },
                ],
            },
            seeders: { selector: 'span.seed' },
            leechers: { selector: 'span.leech' },
            date: {
                selector: 'td:nth-of-type(6) p',
                filters: [
                    { name: 'replace', args: ['янв', 'Jan'] },
                    { name: 'replace', args: ['фев', 'Feb'] },
                    { name: 'replace', args: ['мар', 'Mar'] },
                    { name: 'replace', args: ['апр', 'Apr'] },
                    { name: 'replace', args: ['май', 'May'] },
                    { name: 'replace', args: ['июн', 'Jun'] },
                    { name: 'replace', args: ['июл', 'Jul'] },
                    { name: 'replace', args: ['авг', 'Aug'] },
                    { name: 'replace', args: ['сен', 'Sep'] },
                    { name: 'replace', args: ['окт', 'Oct'] },
                    { name: 'replace', args: ['ноя', 'Nov'] },
                    { name: 'replace', args: ['дек', 'Dec'] },
                    { name: 'dateparse', args: '02 Jan 2006' },
                ],
            },
            downloadvolumefactor: { text: 0 },
            uploadvolumefactor: { text: 1 },
        },
    },
    source: 'jackett',
};
