"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'theempire',
    name: 'The Empire',
    description: 'TheEmpire (TE) is a Private Torrent Tracker for COMMONWEALTH TV / RADIO',
    language: 'en-US',
    type: 'private',
    encoding: 'UTF-8',
    links: ['https://theempire.click/'],
    legacylinks: ['http://theempire.click/'],
    caps: {
        categorymappings: [
            { id: '55', cat: 'TV', desc: 'Adverts' },
            { id: '60', cat: 'TV', desc: 'Educational' },
            { id: '63', cat: 'TV', desc: 'Game Shows' },
            { id: '67', cat: 'TV', desc: 'Music' },
            { id: '72', cat: 'TV', desc: 'QuizComedy' },
            { id: '77', cat: 'TV', desc: 'Special Events' },
            { id: '81', cat: 'TV', desc: 'Trains & Planes' },
            { id: '54', cat: 'TV', desc: 'Arts & Culture' },
            { id: '61', cat: 'TV', desc: 'Entertainment' },
            { id: '53', cat: 'TV', desc: 'Gardening' },
            { id: '68', cat: 'TV', desc: 'Mystery & Crime Fiction' },
            { id: '73', cat: 'TV', desc: 'Radio' },
            { id: '78', cat: 'TV', desc: 'Special Interest' },
            { id: '82', cat: 'TV', desc: 'Travel' },
            { id: '56', cat: 'TV', desc: 'Comedy' },
            { id: '85', cat: 'TV', desc: 'Euro-Noir' },
            { id: '64', cat: 'TV', desc: 'Kids' },
            { id: '69', cat: 'TV', desc: 'News' },
            { id: '74', cat: 'TV', desc: 'Reality' },
            { id: '79', cat: 'TV', desc: 'Sport' },
            { id: '83', cat: 'TV', desc: 'Wildlife & Nature' },
            { id: '58', cat: 'TV', desc: 'Documentary' },
            { id: '57', cat: 'TV', desc: 'Fly on the Wall/Lifestyle' },
            { id: '65', cat: 'TV', desc: 'Magazine' },
            { id: '70', cat: 'TV', desc: 'Occult & Horror' },
            { id: '75', cat: 'TV', desc: 'Sci-Fi' },
            { id: '84', cat: 'TV', desc: 'Style & Fashion' },
            { id: '62', cat: 'TV', desc: 'Food Drink & Cooking' },
            { id: '66', cat: 'TV', desc: 'Motoring' },
            { id: '71', cat: 'TV', desc: 'Property' },
            { id: '76', cat: 'TV', desc: 'Soaps' },
            { id: '80', cat: 'TV', desc: 'Talkshow' },
            { id: '59', cat: 'TV', desc: 'Drama' },
        ],
        modes: { search: ['q'] },
    },
    login: {
        path: 'login.php',
        method: 'form',
        form: 'form',
        inputs: {
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
        },
        captcha: { type: 'image', selector: 'img#freecap', input: 'word' },
        error: [{ selector: 'table:contains("Login failed!")' }],
        test: { path: 'main.php' },
    },
    search: {
        paths: [{ path: 'browse.php' }],
        inputs: {
            $raw: '{{range .Categories}}filter_cat[{{.}}]=1&{{end}}',
            search: '{{ .Query.Keywords }}',
        },
        rows: {
            selector: 'table[border="0"] > tbody > tr.ttable:has(a[href^="browse.php?cat="])',
            filters: [{ name: 'andmatch' }],
        },
        fields: {
            category: {
                selector: 'a[href^="browse.php?cat="]',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'cat' }],
            },
            title: { filters: null, selector: 'td:nth-child(2) b' },
            download: {
                selector: 'a[href^="download.php/"]',
                attribute: 'href',
            },
            details: {
                selector: 'a[href^="details.php?id="]',
                attribute: 'href',
            },
            grabs: {
                selector: 'td:nth-child(8)',
                filters: [
                    { name: 'replace', args: ['Never', '0'] },
                    { name: 'regexp', args: '([\\d,]+)' },
                ],
            },
            files: { selector: 'td:nth-child(4)' },
            size: { selector: 'td:nth-child(7)' },
            seeders: { selector: 'td:nth-child(9)' },
            leechers: { selector: 'td:nth-child(10)' },
            date: {
                selector: 'td:nth-child(6)',
                filters: [{ name: 'regexp', args: '(\\d{4}-\\d{2}-\\d{2})' }],
            },
            downloadvolumefactor: {
                case: {
                    'font[color="green"]': '0',
                    'font[color="blue"]': '0',
                    '*': '1',
                },
            },
            uploadvolumefactor: {
                case: { 'font[color="green"]': '0', '*': '1' },
            },
        },
    },
    source: 'jackett',
};
