"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    site: 'zamundanet',
    name: 'Zamunda.net',
    description: 'Zumunda is a BULGARIAN Private Torrent Tracker for 0DAY / GENERAL',
    language: 'bg-BG',
    type: 'private',
    encoding: 'WINDOWS-1251',
    links: ['https://zamunda.net/', 'https://zamunda.ch/'],
    legacylinks: ['http://zamunda.net/', 'http://zamunda.ch/'],
    caps: {
        categorymappings: [
            { id: '42', cat: 'Movies/BluRay', desc: 'Movies Blu-ray' },
            { id: '25', cat: 'TV/Anime', desc: 'TV Animation/Anime' },
            { id: '35', cat: 'Movies/HD', desc: 'Movies HD' },
            { id: '46', cat: 'Movies/3D', desc: 'Movies 3D' },
            { id: '20', cat: 'Movies/DVD', desc: 'Movies DVD-R' },
            { id: '19', cat: 'Movies/SD', desc: 'Movies SD' },
            { id: '5', cat: 'Movies/HD', desc: 'Movies HD' },
            { id: '24', cat: 'Movies', desc: 'Movies BG' },
            { id: '31', cat: 'Movies', desc: 'Movies Science' },
            { id: '28', cat: 'Movies', desc: 'Movies Russia' },
            { id: '7', cat: 'TV/SD', desc: 'TV SD' },
            { id: '33', cat: 'TV/HD', desc: 'TV HD' },
            { id: '39', cat: 'PC/Mac', desc: 'Games Mac' },
            { id: '4', cat: 'PC/ISO', desc: 'Games ISO' },
            { id: '21', cat: 'PC/Games', desc: 'Games PC Rip' },
            { id: '17', cat: 'Console/PS3', desc: 'Games PS' },
            { id: '40', cat: 'Console/Xbox', desc: 'Games Xbox' },
            { id: '12', cat: 'Console', desc: 'Games Console' },
            { id: '54', cat: 'PC', desc: 'Games Linux' },
            { id: '17', cat: 'Console/PS3', desc: 'Games PS' },
            { id: '6', cat: 'Audio', desc: 'Music' },
            { id: '30', cat: 'Audio/Other', desc: 'Music DTS' },
            { id: '29', cat: 'Audio/Other', desc: 'Music DVD-R' },
            { id: '51', cat: 'Audio/Other', desc: 'Music Hi-Res/Vinyl' },
            { id: '34', cat: 'Audio/Lossless', desc: 'Music Lossless' },
            { id: '38', cat: 'PC/Mac', desc: 'Programs Mac' },
            { id: '1', cat: 'PC/ISO', desc: 'Programs PC ISO' },
            { id: '22', cat: 'PC/Phone-Other', desc: 'Programs Other' },
            { id: '43', cat: 'TV/Sport', desc: 'Sport HD' },
            { id: '41', cat: 'TV/Sport', desc: 'Sport SD' },
            { id: '36', cat: 'PC/Phone-Other', desc: 'Programs Mobile/GSM' },
            { id: '52', cat: 'PC/Phone-Android', desc: 'Android/Games' },
            { id: '53', cat: 'PC/Phone-Android', desc: 'Android/Apps' },
            { id: '26', cat: 'Other', desc: 'Other' },
            { id: '23', cat: 'Other', desc: 'Clips' },
            { id: '32', cat: 'Books/Comics', desc: 'Books Comics' },
            { id: '37', cat: 'Books/Technical', desc: 'Books Dox' },
            { id: '9', cat: 'XXX', desc: 'XXX' },
            { id: '48', cat: 'XXX', desc: 'XXX 3D' },
            { id: '49', cat: 'XXX', desc: 'XXX HD' },
            { id: '27', cat: 'TV/Anime', desc: 'Hentai' },
        ],
        modes: {
            search: ['q'],
            'tv-search': ['q', 'season', 'ep'],
            'movie-search': ['q'],
        },
    },
    settings: [
        { name: 'username', type: 'text', label: 'Username' },
        { name: 'password', type: 'password', label: 'Password' },
        {
            name: 'info_results',
            type: 'info',
            label: 'Search results',
            default: 'This Indexer supports search results only from the <b>LIST</b> view.<br><li>Access the web site, bring up the torrent search page and click on the <b>LIST</b> icon setting (located to the top right of the search results table).</li><br>The alternate <i>GRID</i> view is not supported.',
        },
        {
            name: 'sort',
            type: 'select',
            label: 'Sort requested from site',
            default: '6',
            options: { '2': 'title', '6': 'created', '7': 'size', '9': 'seeders' },
        },
        {
            name: 'type',
            type: 'select',
            label: 'Order requested from site',
            default: 'desc',
            options: { desc: 'desc', asc: 'asc' },
        },
    ],
    login: {
        path: 'takelogin.php',
        method: 'post',
        inputs: {
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
        },
        error: [{ selector: 'td.embedded:has(h2:contains("failed"))' }],
        test: { path: 'bananas' },
    },
    search: {
        paths: [{ path: 'bananas' }],
        inputs: {
            $raw: '{{ range .Categories }}c{{.}}=1&{{end}}',
            search: '{{ .Keywords }}',
            incldead: 1,
            sort: '{{ .Config.sort }}',
            type: '{{ .Config.type }}',
        },
        rows: { selector: '.responsetop > tbody > tr:has(td.td_newborder)' },
        fields: {
            title: {
                selector: 'a:has(i.fa-download)',
                attribute: 'href',
                filters: [
                    { name: 'urldecode' },
                    {
                        name: 're_replace',
                        args: ['^(.*?)download\\.php\\/[0-9]{1,10}\\/|\\.torrent(?=[^.]*$)', ''],
                    },
                ],
            },
            details: {
                selector: 'td:nth-child(2) > a:nth-child(1)',
                attribute: 'href',
            },
            category: {
                selector: 'a[href^="list?cat="]',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'cat' }],
            },
            download: { selector: 'a:has(i.fa-download)', attribute: 'href' },
            grabs: {
                selector: 'td:nth-child(7)',
                filters: [{ name: 'regexp', args: '(\\d+)' }],
            },
            size: { selector: 'td:nth-child(6)' },
            date: {
                selector: 'td:nth-child(5)',
                filters: [
                    {
                        name: 'regexp',
                        args: '([12]\\d{3}-(0[1-9]|1[0-2])-(0[1-9]|[12]\\d|3[01]))',
                    },
                ],
            },
            seeders: { selector: 'td:nth-child(8)' },
            leechers: { selector: 'td:nth-child(9)' },
            banner: {
                selector: 'td:nth-child(2) > a:nth-child(1)',
                attribute: 'onmouseover',
                filters: [{ name: 'regexp', args: "src=\\\\'([^\\s\\\\]+)" }],
            },
            downloadvolumefactor: {
                case: {
                    'a[style="color: #b9a100;"][href^="banan?"]': '0',
                    '*': '1',
                },
            },
            uploadvolumefactor: { text: 1 },
        },
    },
    source: 'jackett',
};
